Power down after shutdown does not work...

Bug #43961 reported by Daniel Beyer on 2006-05-10
278
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
Baltix
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
linux-source-2.6.15 (Ubuntu)
High
Unassigned
Dapper
Undecided
Unassigned
linux-source-2.6.17 (Ubuntu)
High
Unassigned
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned

Bug Description

... on my Laptop (Toshiba 4090 XCDT)

The last message is: "Will now halt"

Kernel is latest 2.6.15 in Dapper, 686-Version

With Breezy power down did work

description: updated
Simon Law (sfllaw) wrote :

Hi Daniel,

Could you please run the following commands and log their output?
$ lspci -vv > lspci-vv.log
$ lspci -vvn > lspci-vvn.log
$ dmesg > dmesg.log
$ lshal > lshal.log

Then, please attach those log files to this bug:
https://launchpad.net/distros/ubuntu/+bug/43961/+addattachment

This information will help us track down your problem.

Thanks.

xrchris (xr-chris) wrote :

I have this exact same problem using the same kernel version on my Clevo M570a laptop.

xrchris (xr-chris) wrote :

I have this exact same problem using the same kernel version on my Clevo M570a laptop.

I have created the above 4 logs but unsure how to attach them to the above link properlyas it only seems to allow 1 attachment at a time. Didnt want to send the 4 logs individually.

I get the same problem on my Sony Vaio VGN-S460 with kernel linux-image-2.6.15-23-386 version 2.6.15-23.35. On shutdown, the last message is "Will now halt" and it doesn't power off.

This must be a regression since it worked fine a while ago - somewhere around Beta 1/2 this started.

My Sony Vaio VGN-S4HP has the same problem that poweroff does not really turn off the power. It worked in Breezy so this is a regression.

Morgan Collett (morgan) wrote :

The requested logs are now attached.

Changed in linux-source-2.6.15:
status: Needs Info → Confirmed
Morgan Collett (morgan) wrote :

This also affects hibernation on my Sony Vaio - it never powers off. I left it for about 20 minutes after initiating hibernation - it had the screen off and seemed to stop any activity but was still on. I powered it off manually then, and on booting again it appeared to resume correctly from hibernation.

The 4 requested files are now attached in respect of my Clevo M570a notebook.

David Rando (david-rando) wrote :

Confirmed with Asus Z92U, after using 2.6.15-23 doing shutdown or reboot doesn't do a thing, just hangs.

paddy972 (paddy972) wrote :

Hello,
in my Acer TravelMate 8104 Laptop with Dapper RC, i have random good shutdown .
When the shutdown don't work i have a black screen.

Hello,

I have the same problem with Dapper LTS in my Toshiba Tecra8100: Last message: Will now halt OK and then I have to manually switch off power. Something similar happens with hibernatination: screen goes blank, some disk activity, but an external WD usb disk remains on until I press the power switch. However, it seems to work: the system apparently boots from saved information. Upgraded from Breezy where everything worked fine.

OOzyPal (oozypal) wrote :

I have the same problem on Desktop Computer rather than a laptop.
My PC cycles through the regular shutdown procedure then shows "Will No Halt". Next, I hear a click inside the box; however, there are still power to the Fans, CDROMS.

I have tried small Linux Distro called (Damn Small Linux) just to confirm that the problem is not from my box. With this distro my PC shuts down OK.

I am running a Pentium 4 on a Gigabyte 915G motherboard (GA 81915G Duo). Intel 915G Express Chipset.

I tried a kernel parameter (acpi=force), mo help.

uname -r
2.6.15-23-686

Thank you

These are the required log files such dmesg, etc.

Adam Woodworth (mirkwood07) wrote :

This bug is also present on my Thinkpad X21. Breezy worked fine, but upgrading to Dapper shows this bug.

This bug was reported 18 days ago, and Dapper is supposed to be officially released in only a few days. Is there an update from the Ubuntu development team?

Adi (adityapolumetla) wrote :

I have Ubuntu 6.06 LTS beta (on dell inspiron 700m). Each time I do a shutdown or reboot, I get this message, and the process freezes.

unregister_netdevice: waiting for eth0 to become free Usage count=1

(this message repeats but the usage count remains same)

eth0 is my wireless connection, I am using,
ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.1.1
uname -r
2.6.15-23-386

Ted O'Hayer (tohayer) wrote :

Same problem here, screen blanks after 'Will now halt' but no actual shutdown with 2.6.15. I've been running Dapper for a while, and have been running updates on a regular basis. Whatever kernel that was used before (2.6.14?) did not have this problem.

Running on a Sony Vaio PCG-FXA32 laptop.

Morgan Collett (morgan) wrote :

Due to the closeness of the dapper release, this will not be fixed in the release according to infinity on #ubuntu-kernel. :-(

Please continue to log your systems here - hopefully we can get the fix into the next security fix release of the kernel or something.

On 5/29/06, Morgan Collett <email address hidden> wrote:
> Due to the closeness of the dapper release, this will not be fixed in
> the release according to infinity on #ubuntu-kernel. :-(
>
> Please continue to log your systems here - hopefully we can get the fix
> into the next security fix release of the kernel or something.
>
> --
> Power down after shutdown does not work...
> https://launchpad.net/bugs/43961
>

Is there any tentative date for the fix?

--
OOzy
Kubuntu-Dapper

seanh (seanh) wrote :

Confirmed with IBM Thinkpad T21. About 1/3 of the time power down does work, 2/3 it doesn't. lshw:

https://wiki.ubuntu.com/SeanHammond?action=AttachFile&do=get&target=taptaplshw.html

Output from lspci/dmesg/lshal on the failing kernel (Notebook Dell Latitude D600)

Hi,

    Confirmed on my laptop (Toshiba A105 S361) It doesn't poweroff at all. Please find my logs attached.

This seems to be a popular problem. I hope it can be fixed soon.

nodata (ubuntu-nodata) wrote :

Might be related:
bug 31826: shutdown conflict with nvidia driver
bug 31993: shutdown no longer powers off computer (with acpi workaround linked to bug 36158)

AgenteAlves (agentelists) wrote :

I have the same problem... i'm using a LG LW65 Express Laptop

Attached output of lcpci, lshal and dmesg for LG LW40.

1) Click logout > suspend.

Laptop powers down compleatly. Does not resume when powered back on.

2) Click logout > restart.

Laptop powers down and reboots.

3) Click logout > shutdown

Laptop goes through shutdown scripts, then changes screen to background color of uspash, and does not power down.

Morgan Collett (morgan) wrote :

See also bug 33775.

See also bug 36158

I'll provide the outputs as said above too

Gabor SUVEG (gsuveg) wrote :

i have same problem on Asus A3515NUH notebook. with 2.6.15-22-386 kernel works.

here are my logs for:

$ lspci -vv
$ lspci -vvn
$ dmesg
$ lshal

I am having the same problem on my Clevo M38AW .

Reboot works correctly.
Halt only rarely powers off the PC. Usually I have to manually power it off.

Gabi (g-peled) wrote :

I am having the same problem on my PC it has ASUS P5GD2-X Mo-bo
I asked help in the forums with no positive result

Josh P (joshp-callplus) wrote :

I too have this problem.. fresh install.. running on a hp/compaq nc8230.. restart and power down to not work correctly..

ferrett (loquero) wrote :

Same for my Clevo M400A , the problem started in Breezy and it didn't help me acpi=force, noapic, nolapic nor lapic. Same problem in ubuntu and LinEx 2006.

i'll send my logs.
thanks

i don't know how to add more than one files :(

Clevo M400A ,
acpi=force, nolapic, lapic, noapic don't work for me
it happens in ubuntu breezy, dapper and LinEx (all distros i've tried)

thanks a lot

I have the same problem as well, when I tell the computer to shutdown, the screen will eventually go blank, but it is still lit up, also the power light is still on and the fan is still running (but no hard drive activity).

I'm trying to add the log files, but I've never done this before.

Pat

Sorry, I just realized that I needed to archive the files in order to upload them all at once :P

So here are all four logs

Pat

Lucas Nussbaum (lucas) wrote :

This might be related to the ipw2200 driver: I also see some messages mentionning it during failed shutdowns (like: timeout while sending CARD_DISABLE or sthing like that).

Morgan Collett (morgan) wrote :

I do use the ipw2200 driver on my laptop.

If I remove "quiet splash" from my boot options, when I (try to) shutdown I see "ACPI: PCI interrupt for device 0000:06:0b.0 disabled" as the last line below the "Will now halt" line. Device 0000:06:0b.0 is the Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05).

If I "sudo rmmod ipw2200" I see the same "ACPI: PCI interrupt... disabled" line, although it does remove the module from lsmod. If I then "sudo modprobe ipw2200" I see (among other things) "Warning: PCI driver ipw2200 has a struct device_driver shutdown method, please update!"

So yes, perhaps this is realted to the ipw2200 driver.

Does anybody NOT have ipw2200 who is getting this bug?

Oliver Brakmann (obrakmann) wrote :

Yup, I'm not using the ipw2200, so I guess this is a red herring. That being said, other distributions turn of my computer (a desktop with a ECS K7S5A mainboard) just fine (for instance. the grml live cd), so I think collecting all the hardware info won't really help, either. If I knew how to build my own kernel from the Ubuntu source package, I'd try that and fiddle with the power management options, but I don't (yet).

zsolt (zsolt-szatmari) wrote :

I don't have that card, either.

lspci |grep net:

0000:01:09.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
0000:02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8053 Gigabit Ethernet Controller (rev 19)

Morgan Collett (morgan) wrote :

OK then, it was worth a try. So, not (only) an ipw2200 issue.

On 06/06/06 at 10:12 -0000, Morgan Collett wrote:
> OK then, it was worth a try. So, not (only) an ipw2200 issue.

OTOH, there might be two issues: one related to ipw2200, and another one with
something else ...
--
| Lucas Nussbaum
| <email address hidden> http://www.lucas-nussbaum.net/ |
| jabber: <email address hidden> GPG: 1024D/023B3F4F |

Oliver Brakmann (obrakmann) wrote :

hmm, maybe nvidia? That's always a good scapegoat for inexplicable phenomena ;-) Also, I seem to remember someone reporting the bug wouldn't show up if X wasn't started. I cannot find that report right now, though.
I'm using the nvidia-legacy kernel module, but haven't tried without it yet. I'm will change my config to use x.org's nv driver and see if I can shutdown properly. Is there anyone _not_ using ipw2200 or a nvidia card experiencing this bug?

Morgan Collett (morgan) wrote :

I have an nvidia card, but get the problem whether I use the nv or the nvidia driver.

Gabor SUVEG (gsuveg) wrote :

i havent nvidia but i have ipw2200. today later can i test w/o ipw2200 module, test the halt. But i think its not ipw2200 related.

Markus Lindström (mlindstr) wrote :

I recently upgraded to 6.06 on an old machine of mine (an HP Vectra VL, Celeron 466MHz on what I assume is an Intel 440BX board). The shutdown worked perfectly under breezy, but regressed with dapper.

This machine does not use ipw2200 or nv for that matter. It does use an Atheros wireless card, though.

Markus Lindström (mlindstr) wrote :

Just for the heads up, I just tried adding "acpi=force lapic" as boot parameters, and now the computer I talked about earlier halts without any further issues.

>Just for the heads up, I just tried adding "acpi=force lapic" as boot parameters, and now the computer I talked about earlier halts without any further issues.

I tryed this but does not work, power off still doesn't shut the computer off

Here's the set of files for my machine (booted without acpi and lapic). I remind that when using "acpi=force lapic", this machine works as it should.

Skimming through dmesg, it seems ACPI is automatically shutdown at boot due to the BIOS being made before year 2000. Also, the local APIC is disabled (dmesg says it's either by default or because the BIOS sets it that way, but I've found nothing related to APIC in the BIOS so far).

Michael R. Head (burner) wrote :

I've got a Thinkpad T22 here, and it fails to turn off in dapper after the A/C adapter has been plugged or unplugged. If the laptop has been turned on while plugged in, remains plugged in while on, and turned off while plugged it, it will properly turn itself off. If at any time the adapter is unplugged, regardless of whether or not it is plugged in during shutdown, it will not turn itself off.

Oliver Brakmann (obrakmann) wrote :

This may be too soon to draw conclusions, but I've changed three things on my system since my last comment and I now it shuts down properly more often than not (ie. only every one of ten or so shutdown attempts fails instead of the other way around).
These changes are:
- I moved my system from a single disk to two mirrored ones. (I guess this doesn't have any influence whatsoever)
- I enabled the vesafb framebuffer driver instead of the crappy default one (which produced ugly fonts and flickering on my TFT in text mode)
- I disabled usplash.

Maybe a few people could try the vesafb driver and disable usplash and see whether things improve for them. My kernel command line is as follows:
root=/dev/md_d0p1 ro raid=part vga=0x305 video=vesafb:ypan,mtrr:3,vremap:4 acpi=power-off quiet

...no successfull shutdown on:
AMD Sempron PC, WinFast (all integrated SIS) Board.

"acpi=force" workaround doesn't help...

David Rando (david-rando) wrote :

Actually, after the update to 2.6.15-25, problem got resolved. Everything is working as before on 2.6.15-22

Thanks ubuntu team ;-)

Changed in linux-source-2.6.15:
status: Confirmed → Fix Released
status: Unconfirmed → Rejected
screening (screeningdesign) wrote :

I have the kernel 2.6.15-25 but still remaind the problem :-(

OOzyPal (oozypal) wrote :

This bug is not fixed yet. I still have the problem. I have 2.6.15-25-686 installed. I even upgraded my bios. Please don't close this bug.

Gabor SUVEG (gsuveg) wrote :

me works perfectly on asus a4515nuh. thanks

Michael R. Head (burner) wrote :
Download full text (5.6 KiB)

No fix on the Thinkpad T22. I'm also confused about how this new kernel would have fixed this. Here's the changlog:

linux-source-2.6.15 (2.6.15-25.43) dapper-security; urgency=low

  Changes by Ben Collins

  * bcm43xx dma mask handling (> 1GB memory)
  - Add powerpc IOMMU handlers for dma masks
  - Sync updates to amd64 IOMMU to handle dma masks

  * Sync ide changes for better flash driver handling (flash isn't removable).

  Changes by David S. Miller

  * [SPARC64]: Temporary workaround for memory corruption on Niagara.

 -- Fabio M. Di Nitto <email address hidden> Wed, 14 Jun 2006 11:05:57 +0200

linux-source-2.6.15 (2.6.15-24.42) dapper-security; urgency=low

  Changed by Daniel T Chen

  * Fix cs4266 build failure.

 -- Ben Collins <email address hidden> Mon, 12 Jun 2006 22:26:24 -0400

linux-source-2.6.15 (2.6.15-24.41) dapper-security; urgency=low

  Changes by Ben Collins

  * usb: Enable CONFIG_USB_EHCI_SPLIT_ISO and CONFIG_USB_EHCI_ROOT_HUB_TT
    - Malone #28840
    - Malone #49367
  * usb: Enable CONFIG_USB_SUSPEND
  * powerpc: Fix for smp clock timer
    - Malone #29420
    - Git cherry pick: 0c2aca88bdac4254a13466fb108733d243a118b6
  * powerpc: Enable zilog as a module, and serial core/8250 as modules as
    well.
    - Malone #36499
  * btsco: Patch to get headset working.
    - Maline #48910

  Changes by Chuck Short

  * speedstep-smi: Allow speedstep-smi to load Thinkpad T20.
    - Malone #35044

  Changes by Daniel T Chen

  * sound/pci/cs46xx: Fix PM support for snd_cs46xx
    - Malone #11149

  Changes by David S Miller

  * [SPARC64]: Avoid JBUS errors on some Niagara systems.

 -- Ben Collins <email address hidden> Mon, 12 Jun 2006 12:27:42 -0400

linux-source-2.6.15 (2.6.15-24.40) dapper-security; urgency=low

  Changes by Ben Collins

  * psmouse: Total reset for intellimouse.
    - Malone #30224
  * powerpc: Add one-liner to fix physical memory mapping on some G3's.
    - Malone #34508
  * nsc-ircc: Update to latest code to fix crashes.
    - Malone #46947
  * nsc-ircc: Add some IBM thinkpads
  * ahci: Add support for JMicron ahci controller.
    - Malone #45839
  * acx: Make all TI ACX111's use 1.2.1.34 firmware.
    - Malone #30766
  * sky2: Update to latest version, 1.4.
    - Malone #38865 (and others)
  * rt2500: Update to CVS code, which the maintainer says will fix our SMP
    related bugs with this driver.
  * PCI: reverse pci config space restore order. Stolen from upstream patch.
    This should fix a few resume bugs for hardware that stricly needs to
    adhere to PCI specs. MacTel is one of the biggest examples.
  * Disable davicom usage in tulip driver to let dmfe module takeover.
    - Malone #48287
  * powerpc: Enable MESH and MAC_FLOPPY drivers.
  * acpi/ec: Use semaphore instead of spinlock to get rid of missed interrupts
    - Malone #39315
  * i386/amd64: Change HZ=1000 to HZ=250. The high frequency was causing high
    power consumption on some laptops, and also some latency under certain I/O
    loads.
  * irda/sir: Fix wait operations in kernel thread. Use proper
    wait_event_interruptible_timeout().
...

Read more...

kernel 2.6.15-25 did not fix for me, still no power off

The bug persists after kernel upgrade to 2.6.15-25-686 on my Toshiba Tecra8100.

reboot works here, shutdown doesn't, the system just "hangs" after printing the halt message.
uname -rvm:
2.6.15-25-386 #1 PREEMPT Wed Jun 14 11:25:49 UTC 2006 i686

OOzyPal (oozypal) wrote :

I could see that this bug is clsoed and the Fix is released while the problem is still exists. Would you please reinstate this bug.

Thank you.

Michael R. Head (burner) wrote :

It's still affecting a number of laptops (someone else's Toshiba Tecra, my Thinkpad T22). The T22 fails to shutdown only when the power cord has been plugged or unplugged during use.

Changed in linux-source-2.6.15:
status: Fix Released → Confirmed
OOzyPal (oozypal) wrote :

By the way this problem is also affecting Desktop computer such as mine using a Gigabyte Motherboard GA-8I915G Duo with Intel 915G Express Chipset.

I have experienced that ubuntu randomly hangs after reporting "...will now halt" when it should have powered off. Also I tried try Hybernate and the screen went black but the power was still on.
In both cases I eventually did a hard poweroff. When I repowered, ubuntu did a filesystem check and I had to reboot the system again before entering the desktop.
I have no battery inserted in my laptop and I run Ext2 filesystem. My wireless pcmcia card is 3Com® OfficeConnect® Wireless 108Mbps 11g XJACK PC Card, Product # 3CRXJK10075. My ethernet pcmcia card is Micronet model SP125 V2.

I reinstalled the i386 kernel (2.6.15-25) and running that I have no problem with automatic shutdown. The i686 kernel (also 2.6.15-25) does not work still, I have to manually switch it off when it hangs during shutdown will now halt.

I hope this is something that can be fixed, I thank you all for your time and work with this great distribution (ubuntu 6.06).

/Per

Same problem here. After upgrading from Breezy to Dapper, the computer always hangs on at "...now will halt" and never shutdown. The problem occurs in 2.6.15.25 kernel (in both i386 and i686).

I also have this will now halt -problem. I did fresh install on dapper.

Alexander Matveev (xsandu) wrote :

My Thinkpad T22 with kernel 2.6.15-25-686, acpi=force, does not power-off. Hangs on at "will now halt..."

Underdunk (allan-lucca) wrote :

Same problem with LG Electronics S1 laptop

My desktop exhibits the same problem - not powering down on shutdown, but will restart ok. I've tried "acpi=force lapic" and "acpi=power-off" boot options with no success. I'm running version 2.6.15-26-386 of the kernel with Dapper.

My CPU's an AMD Athlon with an Asus motherboard (about four years old).

update done today, switching to kernel 2.6.15-26-amd64-generic.

No change:
-"Will now halt"
-black screen but power remains
-motherboard starting to beep after a while (you have to completely remove the power cord or press reset to restart cleanly)

greghall (gregjhall) wrote :

UPDATE

Swapped from the 2.6.15-26-386 version of the kernel to 2.6.15-26-k7 (to match my Athlon processor) and my PC now shuts down as expected with no change to the kernel boot options.

AlexZ (alex-ger) wrote :

same on: AMD Sempron PC, WinFast (all integrated SIS) Board
--> update to 2.6.15-26 doesn't help
--> logfiles recreated

uname -rnsm
Linux wilpad 2.6.15-26-386 i686

ThinkPad A22p, Pentium 3

After doing Power Off
1. ubuntu splash screen--everything turns off 'ok'
2. goes to black screen w/: "Ubuntu 6.06 LTS" "wilpad login:"
3. back to ubuntu splash screen--everything turns off 'ok' stops at: Will now halt
4. goes to black screen w/: "Ubuntu 6.06 LTS" "wilpad login:"
hangs

Nico (nico-rdo) wrote :

I'll put another coin in the jukebox, for consistency's sake.

Same poweroff problem on a Desktop Shuttle SB81P with latest BIOS, Dapper, 686 kernel and Dapper.

I think I have read that the problem is known but that we should not expect any fix, just maybe in a kernel security update.

We've gone through quite a few kernel updates since the Dapper release, and still no fix. LTS, LTS... Stable... I fear that the stability pact is either not very well respected, or just used as an excuse. I know about reports of graphics Intel chipset issues that are a hit or miss depending on the kernel release revision...

Could we at least have a clear explanation of the problem? This may help those of us not scare of building a kernel package ourselves.

Thanks,

Nico

Alex Zepeda (alex-blarf) wrote :

I ran into the same problem when I upgraded from the stock Ubuntu 2.6.15-xxx kernel to a 'custom' 2.6.17.7 kernel. My goal was to get Suspend2 working. Actually, I ran into this problem while trying to get usplash to work. Turns out that the ATI framebuffer drivers were causing problems.

With these removed:

CONFIG_FB_AT
CONFIG_FB_ATY_CT
CONFIG_FB_ATY_GENERIC_LCD

The system reboots just fine now. Now, it would be nice to get the higher resolution console that the ATI drivers provide, but for now I'll enjoy being able to suspend and reboot. My system is a Compaq Armada M700 with a Mach64 based video setup. This ATI hardware has been nothing but trouble and disappointment.

greghall (gregjhall) wrote :

Another data point...

I had the problem using 2.6.15-26-386 with an Athlon CPU (see my comment above), then it went away once I moved to 2.6.15-26-k7, but now appears to have returned once I upgraded to 2.6.17.7-k7. All under Ubuntu 6.06.

greghall (gregjhall) wrote :

> I had the problem using 2.6.15-26-386 with an Athlon CPU (see my comment above), then it went
> away once I moved to 2.6.15-26-k7, but now appears to have returned once I upgraded to
> 2.6.17.7-k7. All under Ubuntu 6.06.

Seems like a got the version numbers messed up (but I do have more data) - not sure where the 2.6.17.7 came from:

2.6.15-26-386 (don't know exact version) - won't shut down
upgrade to 2.6.15-26-k7 (same version as previous) - now shuts down
upgrade to 2.6.15-26-k7 (30 Jul version) - now doesn't shut down
upgrade to 2.6.15-26-k7 (3 Aug version) - now shuts down again

I did another attempt on my computer since the thing seemed fixed on greghall 's one

alas 2.6.15-26 (3 Aug version) does not fix for me, still no poweroff

joe (joerg-unglaub) wrote :

ok the acpi=force option in the boot line of grub worked for me

sis chipset on a old clevo/kapoc laptop PIII 1Ghz with a bios before
2000 and atheros wlan card works fine on 2.6.17-5-686

DasomOLI (dasomoli) wrote :

I have the same problem.. i'm using a LG LW20 laptop..
But my laptop is shutdown completely on recovery mode(in grub menu)..
I don't know why that.
My kernel is linux-image-2.6.15-26-686.

"acpi=force" option is not worked for me.

Lee Connell (lee-a-connell) wrote :

My kernel is linux-image-2.6.15-26-686

I'm running desktop computer with MSI Neo2 motherboard. I've used both ACPI and APM with no luck on either.

Andre (launchpad-andrepio) wrote :

Same problem on my small desktop server running 2.6.15-26-server kernel.

The machine is based mostly on the SiS chipset, SATA Drives and standard onboard graphics & LAN. It's a intel P4-Celeron 2.6Ghz

This machine had no problems re-booting after shutdown with Hoary, Warty, and Breezy versions - Just since I have Dapper installed. Interesting though is that the dapper server install CD is able to restart the machine with no problem.

This is a big problem for anyone wanting to install dapper server because if you can't reboot your headless server remotely then installing Ubuntu Dapper Server is just not a viable option at all..

ao2 (ao2) wrote :

Hallo, I have the same problem on Debian Sid as well.

Is this bug the same described here?
http://bugzilla.kernel.org/show_bug.cgi?id=6431

If so it is distro-independent and it should be fixed in mainline kernel.

ao2 >

the first time I had the problem I was still using the Fedora distro, so yes it definitely seems kernel related.
We all hope someone involved in kernel devel seriously takes a look at this.

Changed in linux:
status: Unknown → Needs Info
AM (macchi) wrote :

I confirm similar problems (no shutdown) for Dapper on three machines that worked previously with Breezy:

 1) Pentum III, Dapper Server -server kernel
 2) Pentium III, Dapper Desktop after upgrade to -686 kernel
 3) Pentium II, Dapper Laptop -686 kernel

The problem with the server is serious since it may require physical access to the machine upon system restarts. Clearly not acceptable upon remote "headless" server operation. Equaly irritating is to experience completely drained batteries on a laptop since it did not power off properly. I really appreciate very much Ubuntu Linux and hope that finding a solution for this problem gets high priority.

Power off works OK with the 686 kernel on another laptop, my Sony Vaio VGN B1XP, but suspend and hibernate are less reliable.

I could post data for the five systems upon request but will not include this info to save space on the launchpad.

Ben Collins (ben-collins) wrote :

This bug may be fixed in the current edgy developement system. In an effort to track this bug to our latest distribution, it is being targeted for edgy.

Please confirm whether this bug exists in edgy. If not, then please re-attach all related output (e.g. dmesg, oops output) while under edgy.

Latest Edgy CD's can be downloaded from:

http://cdimage.ubuntu.com/releases/edgy/knot-1/

If this image does not boot fom you, you can also download a current daily build from:

http://cdimage.ubuntu.com/daily-live/current/

Note that it may only be necessary to boot the LiveCD to see if your bug is fixed. In this case, you do not need to upgrade your installed system at all to confirm it. Certain bugs may require that you do an actual installation.

Changed in linux-source-2.6.17:
status: Unconfirmed → Needs Info
Joel Stanley (shenki) wrote :

Running latest edgy, as of Wed, 23 Aug 2006 22:35:52.

The problem is still present when shutting down from both a gnome session and from the gdm login screen (without having logged in). That is, system shuts down but does not power down the system.

The kernel bugzilla bug# 6431 mentions X being a culprit, so Xorg.log is included in attached logs.

Albert Bicchi (bicchi) wrote :

I do not think the bug is related to X.org
I am running an Ubuntu server, version 6.06.1 (Dapper Drake), and I don't even have X installed. When I issue the command: "sudo shutdown -h now", the last message that I see is:

* Deactivating Swap ...
* Shutting Down LVM Volume Groups ...
* Will now halt
[42949673.130000] Power down

###############################################################
My grub boot entry looks like this:

title Ubuntu, kernel 2.6.15-26-server
root (hd0,1)
kernel /boot/vmlinuz-2.6.15-26-server root=/dev/hda2 ro quiet splash
initrd /boot/initrd.img-2.6.15-26-server
savedefault
boot

Michael R. Head (burner) wrote :

Albert, it might be that you don't have acpi or apm installed and running. I believe this is required to allow the kernel to power off your machine.

Andre (launchpad-andrepio) wrote :

I agree with Albert Bicci.

I have a headless machine running Dapper Server (2.6.15-26-server kernel). This same machine shut-down properly with Hoary, Warty, and Breezy versions. There is no X server runing on it and the messgaes I see are the same as what Albert sees.

I can confirm that ACPI is installed and running on this machine.

Attached is a dump from acpidump.

Albert Bicchi (bicchi) wrote :

On my server, I tried the kernel parameter (acpi=force) restarted the machine and tried shutting it down. It now works and turns off as expected. I think the bug is more related to the bios and acpi than to Xorg. I know that for some people the option acpi=force still does not work. I am thinking that the issue might be related to something in the bios like power management. **wild guess**

If it helps anyone, my grub boot entry now looks like this.

title Ubuntu, kernel 2.6.15-26-server
root (hd0,1)
kernel /boot/vmlinuz-2.6.15-26-server root=/dev/hda2 ro quiet splash acpi=force
initrd /boot/initrd.img-2.6.15-26-server
savedefault
boot

George Havach (ghavach-gmail) wrote :

From reading through all the numerous comments and complaints on this topic, and the proposed fixes that DO NOT WORK, I can see that the "SHUT DOWN DOES NOT POWER OFF" bug is still ALIVE AND WELL and remains as yet unsquashed. I had just installed Ubuntu on my old Dell OptiPlex GX1 (600-MHz Pentium III, 768MB RAM) about a month ago, and it's been running very well, thank you. On the suggestion of Tip #10 in the online article "Ten Tips for New Ubuntu Users" posted at URL http://tips.linux.com/article.pl?sid=06/06/08/1651225&tid=50, I decided to go for a new kernel--specifically, the 686 kernel over the default 386 kernel that was put in place by the installation CD. I had never had any problem with Ubuntu powering off my machine until installing this "upgrade," after which it freezes up every time after the "Will now halt" message at the end of the shutdown sequence. Once my annoyance reached an intolerable level with this MANIFEST BUG, I reverted back to the 386 kernel, WHICH IS ABLE TO POWER DOWN MY HARDWARE WITHOUT ANY PROBLEM. You can't tell me there's not an outstanding issue with the 686 kernel!

I can only hope that the helpful developers of the Ubuntu package will take these complaints to heart and GET WITH IT. There's no reason to have to put up with this small but exasperating software fault for long. FREE OR NOT, software that proves NONFUNCTIONAL in such an obvious area will not make friends around the world!

Meanwhile, I've been learning how to use the Synaptic Package Manager to good purpose, as well as the nano text editor as needed for low-level changes to config files, so it's not a total wash. We can all learn from OTHERS' mistakes.

I think the above comment is a blatent attack on the developers, nothing is forcing you to use Ubuntu. Please keep your complaints to the forums, this is for bug related discussion only.

Hans Bostrom (bostromed) wrote :

Hi,

Without getting emotional, I would just like to confirm that I had exactly the same experience as George Havach above - a fresh install of Ubuntu 6.06 Dapper, kernel 2.6.15-26-386 on an IBM Thinkpad A20p did not show this bug, but after switching to the 2.6.15-26-686 kernel the computer hangs on shutdown. Booting into the 386 kernel, the bug does not appear.

Simon Law (sfllaw) wrote :

Thanks for everyone's patience. This is certainly a Linux bug
and from the comments in the upstream bug report, they are
actively working on it.

Michael R. Head (burner) wrote :

I just tested with an edgy Knot-2 Live CD, and it was unable to power off after plugging and unplugging the power cable.

Changed in linux-source-2.6.17:
status: Needs Info → Confirmed

>I just tested with an edgy Knot-2 Live CD, and it was unable to power off after plugging and unplugging the power cable.

you mean "since it was not able to power-off I had to unplug the power cable" , right ?

btw, I changed my motherboard recently from a Tyan Tiger K8W to a Tiger K8WE.
Now the power-off works.
For information this makes me go from an AMD chipset to a NVidia nForce4, see also Tyan's website to get more precise description of hardware present on the mobo, may be useful.

Michael R. Head (burner) wrote :

> you mean "since it was not able to power-off I had to unplug the power cable" , right ?

Actually, I just hold the power button for 4-5 seconds.

OOzyPal (oozypal) wrote :

Hello Hans Bostrom,

The bug appear in my desktop computer in both 686 and 386 kernels.

I posted my system output above long time ago.

Thank you.

Michael R. Head (burner) wrote :

Just confirming that the -386 kernel was of no help on my Thinkpad T22. It still fails to turn off, but only when the power cable is plugged and/or unplugged while booted.

Andre (launchpad-andrepio) wrote :

Can someone from the Ubuntu team give some more clarity on the status of this bug?

Ben Collins suggested in an earlier post of this bug that we try the
Edgy sources to see if it was fixed there. The bug has also been
assigned to Linux-kernel-bugs #6431 (But that bug report has had no
feedback for 2 months)

The problem is that it's not clear from the responses to this bug that
someone's actively looking into it for dapper or if they are looking at
it, where is it listed actively elsewhere?

How can we help?
Should we be submitting our log's to an edgy bug or this one?
Should we be submitting feedback to Linux-kernel-bugs #6431?
Is there any clear feedback to this bug even if it is being worked on elsewhere?

This is an absolute show-stopper bug for Dapper servers. You just can't
install dapper on a headless server if the server is not capable of
rebooting flawlessly.

I'd love to help and have posted what I can but I'm not sure if it's
helping and I'm not sure what more I can do to help with this horrible
bug.

I had the same problem, i.e. after 'will now halt' the computer won't actually halt.

The solution for me was acpi=off!

Hardware is a PC with ADM Duron 1300, the BIOS from 2001 says it supports ACPI.

dmesg says:

> dmesg | grep -i acpi
[17179569.184000] BIOS-e820: 000000004fff0000 - 000000004fff8000 (ACPI data)
[17179569.184000] BIOS-e820: 000000004fff8000 - 0000000050000000 (ACPI NVS)
[17179569.184000] ACPI: RSDP (v000 AMI ) @ 0x000fa340
[17179569.184000] ACPI: Unable to map RSDT
[ 39.585043] ACPI: Subsystem revision 20051216
[ 39.585049] ACPI: Interpreter disabled.
[ 39.585070] pnp: PnP ACPI: disabled

I tried acpi=force, then switched to a i386 kernel. Both didn't help.

Then I found out that for some reason, the apm kernel module gets always loaded, no matter whether I use ACPI or not. The apm module is even loaded when I start the kernel with the option apm=no and with an additional line 'blacklist apm' in /etc/modprobe.d/blacklist. (Why is this?)

De-installing apmd is no option, because ubuntu-desktop depends on it ... (Why?)

OK, as I couldn't get rid of APM, I tried to get rid of ACPI.

Then I also tried acpi=off, because I thought, apm and acpi might somehow disturb each other. Bingo!

For reference:

> uname -a
Linux mars 2.6.15-26-386 #1 PREEMPT Thu Aug 3 02:52:00 UTC 2006 i686 GNU/Linux

It seems to me, that somehow apm and acpi disturb each other.

PS: I also tried the apm options power_off=1 and realmode_power_off=1, but these options didn't change anything on my machine. With ACPI (partly) on, they don't help. With ACPI off, they are not needed.

jdjennings (jennings) wrote :

My machine is an old Compaq Deskpro with a Pentium II 333MHz (ouch!).

I have this same problem running Ubuntu 6.06.1, and also with Debian Etch. I loaded up a Knoppix 5.01 CD, and it has the same problem. Now it gets strange. I had FreeBSD 6.1 loaded on the machine, and it had the same problem, it wouldn't power off after a shutdown (none of these will do a shutdown/restart either). I also have Solaris 11 b46 on this machine (I'm a masochist) and it powers down and restarts just fine.

I've tried all the apm/acpi settings mentioned above, and none had any effect.

I'm going to try downgrading to Ubuntu 6.06 (or even 5.10) and verify that it worked then.

I tried loading Edgy knot-3, but it hangs at 59% through the installation (3 times consistently).

Debian Etch and FreeBSD 6.1 work fine on my Dell Optiplex and a white box P4 machine.

Sburd (sburd357) wrote :

I have the same problem on a system I built. It uses an Asus board (P5DG2 Premium) and 2.8ghz Pentium 4 520 Processor Prescott 2.8GHz, 800MHz FSB, Socket 775, 1MB Cache. The funny thing is DSL, DSL-N, Knoppix and PC-BSD all shutdown fine. I have loaded these various systems on different hard-drives or partitions of my present drive. I tried Xubuntu and it shutdowns fine but Kubuntu won't shutdown either. I tried both version 6.06 and 6.06.1. Either of those versions of Ubuntu shutdown two older AMD systems fine. On the P5DG2 it gets all the way to "System will now halt" and hangs. Hope somebody finds a solution as this version of Ubuntu is really growning on me.

I have a similar problem with a Toshiba satellite 1410-303. At the end of the shutdown process the cursor blinks at the top-left of the screen.
I am able to switch to a different tty via alt+2/3/4.. but no other key works.
This happens also with 2.6.17.10, while it used to work on edgy until around 9/20.

achevrier (a-chevrier-pro) wrote :

same problem with an old thinkpad A20m celeron and 2.6.15-27-686.
Obliged to shutdown manually at the end of shutdown process, after "now will halt".
I don't how to solve.

Alec Wright (alecjw) wrote :

Now repaired for me as of edgy knot 3.

achevrier (a-chevrier-pro) wrote :

Is there any solution ?

Alec Wright (alecjw) wrote :

Quote:
-------------------------
Is there any solution ?
---------------------------

Try upgrading to edgy. It worked for me.

Sburd (sburd357) wrote :

Edgy didn't cure my problem. Funny how the system can reboot fine but can't shutdown. Also don't understand how Xubuntu and every other Linux and BSD distribution I've tried shutdown my system fine.

Frank Bennett (biercenator) wrote :

This cured up on my home desktop system by making two changes. One was to add the kernel boot options "acpi=force lapic", as suggested above.

The second change was to use "halt -p" or "poweroff" to shut down the machine.

This may strike everyone here as silly, but back in the day I do seem to remember shutting down APM enabled laptops with a simple "halt" or "shutdown -h now". This used to cause a powerdown at the end of the cycle. It doesn't any longer, apparently, and the man pages do not lie. Could it me that this is an added gotcha for people trying to sort out this problem (which is a genuine problem -- halt -p was failing for me previously, when I tried it).

The machine is based on an AOpen i945GTm-VHL socket 479 (Pentium-M) motherboard. Locally compiled 2.6.17.13 kernel. APM is disabled, ACPI is enabled. Software suspend is enabled. Boot options are:

  root=/dev/sda1 ro acpi=force lapic quiet splash vga=788

Other details are in the attached file.

Jallu59 (jari-j-lehtinen) wrote :

I have also got this problem on my home PC:s Dapper. The failure came when i updated my kernel to 686 version and has been on since then. I tried with the 386 kernel, and with it shutdown went OK. So the bug seems to be in the 686 kernel.

MS-6178 with intel chipset and i810 graphics, PIII/400Mhz/256MB

Yours Jallu59

Sburd (sburd357) wrote :

I had it with the 386 version and continue to have it with the 686 version.

Michael R. Head (burner) wrote :

Not to add too much to the noise here, but the symptoms described in the bug probably have a number of possible causes, since it's a pretty generic sort of problem. FWIW, I have seen the problem on both kernels, but I believe it did _not_ occur with the breezy kernel, though I can't say for sure ATM.

achevrier (a-chevrier-pro) wrote :

Ok,
Not easy to find a "secured" way. I returned to 386 and checked it has always worked well. On 386, my IBM thinkpad A20m still shutdown normaly.
With 686, media services work better and quicker than 386 (sound particularly used with streaming radios). But, it can't shutdown alone.
Adding "acpi=force lapic" in menu.lst seems to solve problem for some of us. But how could I be sure, their is no danger to choose this way ?

My problems with this initially seemed to have gone away when I added
"acpi=force lapic" to the boot line. But I have since had failed
powerdowns; it improved the behaviour of the machine, but it was not a
complete fix, unfortunately. They say that a mule will work
faithfully for you for 20 years just to get a chance to kick you once.
 Another year of this, and it will be time to consider a change in the
Linux masot. :)

I am now trying to discover whether the freeze happens at a consistent
point in the shutdown process. Removing LVM did not seem to help, so
I will be restoring that. In the final /etc/init.d/halt script, I
have removed the -i and -h options (down network and down disks) from
the halt command, and added a bunch of sleep/retries. If the problem
persists, I will try using plain "init 0" to shut down, and see if
that's related.

This is a real bugger, this bug.

I have to confirm the not powering down bug for Edgy!

I get the message
[SOME.NUMBER] Power Down
but the system does not power down.

My Laptop showed this messages for several hours, since I did shutdown the machine and left at night without waiting for the laptop to actually power down. The next day it was still on and showing this message.

Hardware: Vaio VGN-S560P

Breezy did the same, Dapper worked while there was some delay between the moment it could power down (for example when hibernate did turn of the HDD) and the actual power down.

anonym (launch-mailinator) wrote :

I found a work around to this problem.

http://ubuntuforums.org/showthread.php?t=75314

Frank Niedermann (fbn) wrote :

where/what is the workaround? I don't see it ...

StraNNicK (strannick) wrote :

I have to confirm the not powering down bug for Edgy!

I get the message
[SOME.NUMBER] Power Down
but the system does not power down.

Desktop PC, ASUS P5GDC Deluxe, NVidia GeForce 6600GT

Logs in attach.

helpdeskdan (helpdeskdan) wrote :
  • Logs Edit (8.3 KiB, application/x-tar)

Dang! I was hoping Edgy would solve this! A machine that doesn't shut down - enough to make me want to switch distros! As others, worked fine before 6 LTS.

Further to my two previous posts about this, in its current
configuration, my home system *seems* to be cutting the power
reliably, *so* *far*. Here is a description of some items that might
be relevant:

1. Linux kernel 2.6.17.13

2. ACPI support enabled in the kernel

3. APM support *not* enabled

4. Using "acpi=force lapic" in the boot line

5. Shutting down with "init 0"

6. In /etc/init.d/halt, removed the "-d" and "-i" options from the halt command

I am not yet confident that shutdown is completely reliable,
although it is definitely *more* reliable than previously. If I have
a definite power-on hang again, I will report back to this thread.

Frank Bennett (biercenator) wrote :

Further to my two previous posts about this, in its current
configuration, my home system *seems* to be cutting the power
reliably, *so* *far*. Here is a description of some items that might
be relevant:

1. Linux kernel 2.6.17.13

2. ACPI support enabled in the kernel

3. APM support *not* enabled

4. Using "acpi=force lapic" in the boot line

5. Shutting down with "init 0"

6. In /etc/init.d/halt, removed the "-d" and "-i" options from the halt command

I am not yet confident that shutdown is completely reliable,
but it is definitely *more* reliable than previously. If I have a
definite power-on hang again, I will report back to this thread.

Craig Coburn (masterjakul) wrote :

Same bug for me

Running Acer Travelmate 800 under FC5.

I've found that if I shut the system down with "poweroff" then everything seems to work as it should, all the ligths and fans go off! Wooo!

helpdeskdan (helpdeskdan) wrote :

No such luck with the "poweroff". Have seen suggestions for grub, but I use lilo. Not quite sure what to try next. Suse perhaps.

Michael R. Head (burner) wrote :

I'll just point out here that after upgrading to edgy, I'm no longer experiencing this on the Thinkpad T22s. I did a "sudo update-manager -c -d" and replaced all config files that had been changed. I haven't fiddled with acpi or apic options.

Changed in linux:
status: Needs Info → Confirmed
Alec Wright (alecjw) wrote :

I don't know if I've said this yet, but on my MSI motherboard, the problem affected me in Dapper, but it was fixed by edgy. But as of an upadate about 2 weeks ago, i've got the problem back.

Irvin Piraman (ippiraman) wrote :

I can confirm this.

Running updated Xubuntu 6.06.1 on IBM Thinkpad A22m. Log files attached.

Mark Fietje (markfietje) wrote :

I can't shutdown after updating to Edgy via CD for from 6.06.1 to Edgy.
6.06.1 works good, can reboot, shutdown (the normal graphical way) but in Edgy I can't shutdown, only when going in the terminal and by doing - sudo shutdown -h now .
The progress always stop at the very last step in the shutdown process. Unfortunately, I can't see where since the shutdown has a splash screen.

Pls help!

Davor Cubranic (cubranic) wrote :

Unlike many comments here where the bug surfaced after switching from a 386 to 686 kernel, shutdown worked fine for me with amd64 Dapper and stopped once I switched to the generic 386 one.

Shuttle ST20G5 - ATI Xpress X200 mobo, AMD Athlon (Venice 3800+) CPU.

Mark Fietje (markfietje) wrote :

I din't have an AMD64 processor. It's an Intel Centrino Mobility processor.
When I upgraded to Edgy, this happened. It happens already with the Live CD
and installing fresh won't solve the problem too.
Dapper works well with the shutdown or restart.

On 11/3/06, DavorCubranic <email address hidden> wrote:
>
> Unlike many comments here where the bug surfaced after switching from a
> 386 to 686 kernel, shutdown worked fine for me with amd64 Dapper and
> stopped once I switched to the generic 386 one.
>
> Shuttle ST20G5 - ATI Xpress X200 mobo, AMD Athlon (Venice 3800+) CPU.
>
> --
> Power down after shutdown does not work...
> https://launchpad.net/bugs/43961
>

Sinan.Salman (sinan-salman) wrote :

I'm having the same problem in Edgy with the default kernel on a thinkpad X20.

Mark Fietje (markfietje) wrote :

I'm only using the default kernel Desktop installation .iso and I've updated
the Dapper to Edgy. Both give the problem. I went back to Dapper Drake
because I find it makes me afraid that Edgy has more bugs under the hood.

Many people have Intel Centrino laptops. Does it mean that they all have
this issue? I find it a high priority bug.

On 11/3/06, Sinan.Salman <email address hidden> wrote:
>
> I'm having the same problem in Edgy with the default kernel on a
> thinkpad X20.
>
> --
> Power down after shutdown does not work...
> https://launchpad.net/bugs/43961
>

Frank Bennett (biercenator) wrote :

The Centrino desktop that I described in an earlier
note has been running with automatic shutdowns
and timed restarts (for recording TV) for the past
two or three weeks without any problems. This is
on Dapper with a locally configured and compiled
2.6.15 kernel. (It would probably be a good idea
to include the shutdown command that fails in
future reports on this, for the sake of completeness.)

On 11/4/06, Mark <email address hidden> wrote:
> I'm only using the default kernel Desktop installation .iso and I've updated
> the Dapper to Edgy. Both give the problem. I went back to Dapper Drake
> because I find it makes me afraid that Edgy has more bugs under the hood.
>
> Many people have Intel Centrino laptops. Does it mean that they all have
> this issue? I find it a high priority bug.
>
>
> On 11/3/06, Sinan.Salman <email address hidden> wrote:
> >
> > I'm having the same problem in Edgy with the default kernel on a
> > thinkpad X20.
> >
> > --
> > Power down after shutdown does not work...
> > https://launchpad.net/bugs/43961
> >
>
> --
> Power down after shutdown does not work...
> https://launchpad.net/bugs/43961
>

psl (slansky) wrote :

Matsonic MS-7192S (VIApro chipset based) cannot poweroff, it freezes in the last stage before poweroff with message "Will now halt. Power down".
The same behaviour in Edgy i386 and Drapper i386. Now I have Ubuntu 6.06.1 server on the machine.

When I add boot parameter to the kernel "acpi=force lapic" as described above, my PC can do poweroff as expected. This is working workarround for me.

psl (slansky) wrote :

Compaq Deskpro EN SFF (Intel BX chipset based, PIII@500MHz) cannot poweroff with kernel 2.6.15-26-server (Ubuntu 6.06.1 LTS server).
Boot parametr "acpi=force lapic" is fix for this probem.
Poweroff on this machine worked fine with Debian 3.1 and kernel 2.4.27-3-686.

unsubscribe Dylan Knight Rogers|<email address hidden>

encompass (encompass) wrote :

Works for me too.. thanks...
omnibook xe3l

encompass (encompass) wrote :

dangit... check this... if I boot with the option in the grub menu.lst it doesn't, but when I simple go to edit the boot option and don't edit it... just goto the line and press e then enter then b it work. Talk about a weird error.

encompass (encompass) wrote :

OK OK I typed it wrong... now it seems to be working... but you watch, as soon as I type this, something will change.... thanks for everyone's help!

The "acpi=force lapic" parameter does not work for me! Things are
getting worse with Ubuntu power-management from release to release!

It is one thing if hibernation does not work but another if the fsck
thing does not shut down anymore.

By the way concerning hibernation I strongly vote for Ubuntu adopting
suspend2 which is know to work on more machines than swsusp.
Additionally, if Ubuntu has any kernel hackers to spare, they should be
assigned to help Nigel (suspend2 maintainer) to get his project ready
for inclusion in the -mm series kernel so it can prove its superiority
and be adopted into the main line kernel soon.

Pavel (swsusp maintainer) does not seem to know what he is doing. I
can't believe that something that worked suddenly stops working in the
next release. What is the guy doing? I can't understand what kind of
chaotic development approach this guy has!

Mark Fietje (markfietje) wrote :

could someone tell if this also count for the 6.10 release?
the 6.06 is shutting down perfectly for me but only the 6.10 doesn't want to
reboot of shutdown
I have a Centrino laptop with a ATI 9700 mobility video card. nothing is
attached. doesn't want to shutdoesn't even using the live CD! I have 1 Gb
RAM. Do I have such a bad laptop?
thanks

Markus Kienast (elias1884) wrote :

Same for me! Dapper worked perfectly at the end. Just edgy is not
shutting down. I am getting more and more dissatisfied with my Laptop
and Linux either.

I don't understand why these things are getting so less attention from
the kernel hackers! If they really want to conquer the desktop, this is
what counts. Does not seem like the killer feature but this is what
makes Ubuntu and Linux in general look like something assembled by some
teenagers in their garage rather than a highly professional highly
secure first grade OS.

The desktop user does not understand anything about the architecture
under the hood, but he recognises that his Laptop is neither shutting
down nor hibernating correctly (but the great Windows does)!

By the way, I vote for replacing swsusp by suspend2 in the mainline
kernel and in the Ubuntu kernel even sooner!

piero (piero-fr) wrote :

Same with P4B266 on Dapper 686. I found a solution ther :

http://forum.ubuntu-fr.org/viewtopic.php?id=42873

sudo gedit /boot/grub/menu.lst

add *acpi=force* to :

kernel /vmlinuz-2.6.15-23-k7 root=/dev/hde2 ro vga=792 quiet splash

to have :

kernel /vmlinuz-2.6.15-23-k7 root=/dev/hde2 ro vga=792 quiet splash acpi=force

inos (guehring+ubuntu) wrote :

have the same problem on ubuntu 6.10...

thinkpad t20, S3 grafic - savage driver, apm, acpi=off

all worked perfectly on dapper with nearly the same config.

Frank Bennett (biercenator) wrote :

If you are a kernel hacker yourself, you should maybe be
more specific in your criticisms. (If you are not, you should
maybe not be so eager to complain.) ;)

On 11/20/06, elias <email address hidden> wrote:
> The "acpi=force lapic" parameter does not work for me! Things are
> getting worse with Ubuntu power-management from release to release!
>
> It is one thing if hibernation does not work but another if the fsck
> thing does not shut down anymore.
>
> By the way concerning hibernation I strongly vote for Ubuntu adopting
> suspend2 which is know to work on more machines than swsusp.
> Additionally, if Ubuntu has any kernel hackers to spare, they should be
> assigned to help Nigel (suspend2 maintainer) to get his project ready
> for inclusion in the -mm series kernel so it can prove its superiority
> and be adopted into the main line kernel soon.
>
> Pavel (swsusp maintainer) does not seem to know what he is doing. I
> can't believe that something that worked suddenly stops working in the
> next release. What is the guy doing? I can't understand what kind of
> chaotic development approach this guy has!
>
> --
> Power down after shutdown does not work...
> https://launchpad.net/bugs/43961
>

I can confirm that power off at shutdown works fine with an IBM ThinkPad A20m running Edgy with kernel 2.6.17-10-386. I tested and confirmed the following as OK:

 * Boot with APM (default on this machine), shutdown from console using "shutdown -h now";

 * Boot with APM (default on this machine), shutdown from Gnome using Lg Out button, Shut Down;

 * Boot with ACPI=force, shutdown from console using "shutdown -h now";

 * Boot with ACPI=force, shutdown from Gnome using Lg Out button, Shut Down.

If there is additional information that may be useful to determine why it works here, please let me (specific command, boot options, etc.).

Well I will add that after turning off amd cool in quiet through the
bios edgy now reboots,and shuts down. Will have to retest with cool in
quiet on latter to see if edgy will still shut down reboot properly.

On 11/22/06, Peter Whittaker <email address hidden> wrote:
> I can confirm that power off at shutdown works fine with an IBM ThinkPad
> A20m running Edgy with kernel 2.6.17-10-386. I tested and confirmed the
> following as OK:
>
> * Boot with APM (default on this machine), shutdown from console using
> "shutdown -h now";
>
> * Boot with APM (default on this machine), shutdown from Gnome using Lg
> Out button, Shut Down;
>
> * Boot with ACPI=force, shutdown from console using "shutdown -h now";
>
> * Boot with ACPI=force, shutdown from Gnome using Lg Out button, Shut
> Down.
>
> If there is additional information that may be useful to determine why
> it works here, please let me (specific command, boot options, etc.).
>
> --
> Power down after shutdown does not work...
> https://launchpad.net/bugs/43961
>

Ross Mayo (thegreedyturtle) wrote :

Same issue with a Sony Vaio PCG-GRT100 Laptop.

I have apparently hidden this bug (temporarily) using the workaround suggested in http://forum.ubuntu-fr.org/viewtopic.php?id=42873 and mentioned by piero:
Added "acpi=force" to the first kernel line in boot/grub/menu.lst so that it reads:

kernel /boot/vmlinuz-2.6.15-27-686 root=/dev/hda1 ro quiet splash acpi=force

After rebooting, my Toshiba Tecra 8100 (PIII, 600MHz, 320MB RAM) powers off correctly.

I did not have to use the acpi=force option. With my setup it seemed
turning off the cool and quiet option in the bios alleviated the
shutdown reboot issue,however. I'm on a desktop machine so this is not
an issue. Users who need cpu scaling may not want to turn of these
types of options.

On 11/26/06, Paulo Gomes <email address hidden> wrote:
> I have apparently hidden this bug (temporarily) using the workaround suggested in http://forum.ubuntu-fr.org/viewtopic.php?id=42873 and mentioned by piero:
> Added "acpi=force" to the first kernel line in boot/grub/menu.lst so that it reads:
>
> kernel /boot/vmlinuz-2.6.15-27-686 root=/dev/hda1 ro quiet
> splash acpi=force
>
> After rebooting, my Toshiba Tecra 8100 (PIII, 600MHz, 320MB RAM) powers
> off correctly.
>
> --
> Power down after shutdown does not work...
> https://launchpad.net/bugs/43961
>

WillyWongi (pongi) wrote :

I have a CentrinoDuo laptop (ICH7) from PackardBell and it won't power off anymore since Edgy upgrade; can't tell if it happened within a kernel upgrade; as all the others my system stop functioning with the text "Will now halt" and simply... won't halt!

Ubuntu Edgy;
kernel 2.6.17-10-generic
fglrx driver 8.29

I tried to put that acpi=force lapic but didn't helped. I tried even to change the halt parameters in /etc/init.d/halt. Actually I found that is:

halt -d -f -i $poweroff $hddown

I found (from man pages) that all the parameters mean something except "-d". Thinking I've found the problem I rewritten the line without the -d and... nothing changed... still have to keep the poweroff button pressed to completely power off the laptop. I so tried to change the $poweroff to "-p" (explicitly) but as before nothing new happened.

Mark Fietje (markfietje) wrote :

Yes, me too (Centrino but single core) and also the problem with Edgy. I've
compiled a new kernel and then it can shutdown and reboot. I think, it has
something to do with the kernel. 2.6.17-10-generic.
By the way, I've used suspend2 in the newer kernel.

I think, it will be solved in the next release since it will use a newer
kernel. Hopefully they will use suspend2 also.

On 12/1/06, WillyWongi <email address hidden> wrote:
>
> I have a CentrinoDuo laptop (ICH7) from PackardBell and it won't power
> off anymore since Edgy upgrade; can't tell if it happened within a
> kernel upgrade; as all the others my system stop functioning with the
> text "Will now halt" and simply... won't halt!
>
> Ubuntu Edgy;
> kernel 2.6.17-10-generic
> fglrx driver 8.29
>
> I tried to put that acpi=force lapic but didn't helped. I tried even to
> change the halt parameters in /etc/init.d/halt. Actually I found that
> is:
>
> halt -d -f -i $poweroff $hddown
>
> I found (from man pages) that all the parameters mean something except
> "-d". Thinking I've found the problem I rewritten the line without the
> -d and... nothing changed... still have to keep the poweroff button
> pressed to completely power off the laptop. I so tried to change the
> $poweroff to "-p" (explicitly) but as before nothing new happened.
>
> --
> Power down after shutdown does not work...
> https://launchpad.net/bugs/43961
>

WillyWongi (pongi) wrote :

Yeah, I thought that a rebuild of the kernel would help, but I'm a bit afraid of the task, so I think that I'll keep my Edgy until I'm really upset of all the issues it has and I'll go back to... No!, not Windoze!, back to Dapper LTS! :-D

uBo (ubo) wrote :

Toshiba A105-S2716 here...

I had always had the problem since Dapper and now Edgy. It is not random, it always hangs.

What few people have mentioned though, at least with my system Hibernation and Suspend work flawlessly, at least at turning the power off. I do not know if this could be helpful, but if Suspend can turn it off, why can't Shutdown?

uBo (ubo) wrote :

My case (Toshiba A105-S2716, see post above):

1. acpi=force does not do anything

2. When I first remove (rmmod) the module snd-hda-intel and then shutdown everything goes the way it should be.

Conclusion:
At least in my case, the culprit is the * snd-hda-intel * module.

It could be worth looking into.

Gabi (g-peled) wrote :

Hi uBo

I am having the same bug ,but am not able to remove the snd_hda_intel ,

It says that module is in use ,pls advise

Gabi

uBo wrote:

> My case (Toshiba A105-S2716, see post above):
>
> 1. acpi=force does not do anything
>
> 2. When I first remove (rmmod) the module snd-hda-intel and then
> shutdown everything goes the way it should be.
>
> Conclusion:
> At least in my case, the culprit is the * snd-hda-intel * module.
>
> It could be worth looking into.
>
>

WillyWongi (pongi) wrote :

Well, I stopped using ALSA for other reasons and reverted to OSS, so
that module isn't loading, but still can't shutdown properly. I've a
PackardBell v7908 (CentrinoDuo, ICH7)

On 12/20/06, Gabi <email address hidden> wrote:
> Hi uBo
>
> I am having the same bug ,but am not able to remove the snd_hda_intel ,
>
> It says that module is in use ,pls advise
>
> Gabi
>
> uBo wrote:
>
> > My case (Toshiba A105-S2716, see post above):
> >
> > 1. acpi=force does not do anything
> >
> > 2. When I first remove (rmmod) the module snd-hda-intel and then
> > shutdown everything goes the way it should be.
> >
> > Conclusion:
> > At least in my case, the culprit is the * snd-hda-intel * module.
> >
> > It could be worth looking into.
> >
> >
>
> --
> Power down after shutdown does not work...
> https://launchpad.net/bugs/43961
>

--

.png

hi gabi,

the module is probably being used by "mixer_applet2", the volume control on the gnome panels, or anything like that that has to do with sound. have a look at the running processes in the "system monitor" and kill anything that might be using the module. then rmmod it and shut down.

 >
 >Hi uBo
 >
 >I am having the same bug ,but am not able to remove the snd_hda_intel ,
 >
 >It says that module is in use ,pls advise
 >
 >Gabi
 >
 >uBo wrote:
 >
 >--
 >Power down after shutdown does not work...
 >https://launchpad.net/bugs/43961
 >

-----------------------------------------------------------------
Всички гледат! Гледай и ти! www.neterra.tv/bg

wimm (wim-machiels) wrote :

I have a problem here, when I shut down without splash, the last two lines are
- will now halt
- [xxxx.xxxxxx] power down.
where the x's are digits.

as for now, I shut down the pc manually by pressing the shutdown button for more than 6 secs (but I often forget, resulting in a pc running overnight :( )

specs:
Edgy Eft 2.6.17-10-386 (upgraded from Dapper)
asus p5gd2 premium mobo

Note: when I installed Dapper, I had to specify ACPI=off as a kernel parameter in order to be able to boot. The acpi=force and lapic parameters don 't work, then the system hangs at boot.

I attached the logs that were asked in one of the first posts. I 'm very eager to test new suggestions out, as this problem has kept me busy for the past weeks...

thanks in advance !

Firstly, none of the workarounds listed above worked for me on my Sony Vaio S460. Dapper could not power off or reboot, Edgy can reboot but not power off.

However I've just tried Herd 1 Desktop CD and it did power off after a LiveCD session.

Can anyone confirm this, preferably with an installation and not just booting the Desktop CD?

Feisty of course has kernel 2.6.19 at the moment, and Herd 1 i386 runs on linux-image-2.6.19-7-generic version 2.6.19-7.10.

Morgan

Alec Wright (alecjw) wrote :

Update: It's fixed for me in edgy as of a recent update :) it also works fine in feisty, and (I think, but can't remember, Dapper)

Max (maxcantor) wrote :

Confirmed on Kubuntu 6.10, I have a bcm43xx and I'm using ndiswrapper, ATI Radeon Xpress 200M graphics card running with fglrx. I have an HP v2565us AMD64 1.8GHz with 768 megs of RAM. (I have an AMD64 processor but I'm running 32 bit.) I have the same problem. I haven't tried any of the workarounds yet - I'll post when I've tried them all. I'm using the 2.6.17-10-generic i686 kernel.

Alec Wright (alecjw) wrote :

On Ubuntu 7.04 (feisty) testing, my computer switches itself off, then back on again a couple of seconds later. This didn't happen in edgy.

Note that USB_SELECTIVE_SUSPEND=y causes some machines
to reboot instead of poweroff in 2.6.20.

http://bugzilla.kernel.org/show_bug.cgi?id=7828

Len Brown (len-brown) wrote :

CONFIG_USB_SUSPEND=y that is

Zaidan (zaidan-ark) wrote :

Hi, same problem on Edgy with P IV 3.2, Asus P5GDC-Deluxe 1GB DDR2 and GeForce 6600.
The uBo solution works for me, just unloading the module snd_hda_intel the system shutdown perfectly.

So, the question is, how can i unload it automatically at shutdown?? There's any provisional solution or a patch??

Thanks

Ben Collins (ben-collins) wrote :

This appears to be confirmed fixed in feisty. One person mentioned some similar breakage, please open a new report about that.

Changed in linux-source-2.6.20:
importance: Undecided → Medium
status: Unconfirmed → Fix Committed
Changed in linux-source-2.6.17:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → High
Changed in linux-source-2.6.15:
assignee: nobody → ubuntu-kernel-team
Kiwinote (kiwinote) wrote :

I'm using Feisty at the moment with the latest kernel, but my computer still doesn't shutdown, it 'freezes'.

anonym (launch-mailinator) wrote :

have this issue with my desktop.
The PC shutsdown normaly if the monitor is ON.
The PC locks and stay on forever if the monitor is OFF (after turning on the monitor, i can read a message saying that it was going to shut down)

christooss (matic-ahacic) wrote :

I can confirm that shutdown isn't working in Feisty. Niether was working in Edgy or Dapper.

See bug 86504 for the Feisty rebooting on shutdown issue.

intxxx (launchpad-intxxx) wrote :

i just did a bios upgrade on my intel s5000psl board
and reboot works now.

 BIOS: R0074
 BMC: 58
 FRUSDR: FSL_42
 HSC (SAS): v2.05
 HSC (SCSI): v1.16

reboot didnt work with actual versions of kubuntu,
gentoo and suse linuxes, kernel 2.6.20.3.
hangs after "Will now halt"
i had to powercycle to restart.

will provide more info, if someone requests.

thx for your work
stefan

The reboot,and shutdown issue seems be resloved on my install of feisty.

tested on a biostar t-force 6100 939.

On 3/14/07, intxxx <email address hidden> wrote:
> i just did a bios upgrade on my intel s5000psl board
> and reboot works now.
>
> BIOS: R0074
> BMC: 58
> FRUSDR: FSL_42
> HSC (SAS): v2.05
> HSC (SCSI): v1.16
>
> reboot didnt work with actual versions of kubuntu,
> gentoo and suse linuxes, kernel 2.6.20.3.
> hangs after "Will now halt"
> i had to powercycle to restart.
>
> will provide more info, if someone requests.
>
> thx for your work
> stefan
>
> --
> Power down after shutdown does not work...
> https://launchpad.net/bugs/43961
>

ehutch (ehutch) wrote :

I am using an antique American Megatrends PIII 500 motherboard in a dektop PC. Win98 powered down OK. I have installed Edgy and it seems to stop all processing, and unmounts the filesystem but there is an UBUNTU display left on the monitor after shutdown stops. The little click that normally powers it down clicks but without effect. A momentary touch of the power-on button will usually stop the power supply. If I hold the button for more than a mere touch it restarts. I mostly logged the bug so I could get email notification if somebody figures it out. Power down is also a problem on my Dell Inspiron 7000 laptop (about the same age). Win98 didn't have a problem there either.

Changed in linux-source-2.6.20:
status: Fix Committed → Fix Released
Changed in linux:
status: Confirmed → In Progress

Feisty fails to shut down on IBM Thinkpad T30, stops at "Will halt now", as for others. Have latest BIOS (1.09?), but no joy. Running up-to-date Feisty Beta, 2.6.20-15-generic. Problem developed post-2.6.20-13 upgrade, but not necessarily due to kernel since 2.6.20-12 no longer works either.

Same for me for my desktop pc. On my laptop, it's reboot that fails. I have to press off button to reboot... :-/

It worked well with previous kernel and since a few upgrades, it does not work any longer.

Merijn Schering (mschering) wrote :

I upgraded to feisty and the problem still persists. I hope someone will find the solution soon.

Same for me... I upgraded to feisty and the problem still persists. :-/

Nico (nico-rdo) wrote :

I can't help but complain a bit about this one, even if I know this is counter-productive. At least venting helps a bit.

This bug has gone through 3 (!) releases and is still present.

This is not a bug hitting a minimal number of machines either, it is widespread.

This is not a bug that shows its ugly face in a very restricted situation, it is systematic for people hit by it.

This is not a bug touching a less-than-important functionality, we are talking about shutdown!

Nevertheless, it is marked as "Medium".

Nevertheless it is marked as "fix released", and still it is there.

There is little feedback from developers, only a lot of "me too".

Now that 7.04 is released, we are in for another 6 months cycle of hope that it will eventually get fixed in 7.10...

So, in the spirit of being positive and constructive, what can we do, us, the non-coders, do that can help the developers fix this thing, and get it included in a kernel update?

Nico

OOzyPal (oozypal) wrote :

I do agree with Nico.

I am keeping quite as the whole deal is free. I mean the whole Ubuntu is free. However it is really a shame for such popular distribution to have bug lives for three releases and god know how long will it stay alive?

Asraniel (asraniel) wrote :

i would like to add that it has been fixes for some people, like me. i had that problem at the beginning of edgy, then it went away (i think with a acpi update, but i'm not sure), and in feisty everything is perfect.

Gabi (g-peled) wrote :

Hi
I am having this bug also ,it bothers me very much
But since latest 7.04 I am trying to press Suspend
_It shuts down completly _and should allow for quick start ,
The quick start does not work and I think it is related to
Bios definitions ,
Gabi

OOzy wrote:
> I do agree with Nico.
>
> I am keeping quite as the whole deal is free. I mean the whole Ubuntu is
> free. However it is really a shame for such popular distribution to have
> bug lives for three releases and god know how long will it stay alive?
>
>

Gabi (g-peled) wrote :

Hi

I am having this bug also for long time ,

I now find in Ubuntu 7.04 that I can press *Suspend* and it completly
shuts down .

It does not fully work for me ,I think it should allow for fast recovery ,

I think it is worth trying

Gabi

Nico wrote:

> I can't help but complain a bit about this one, even if I know this is
> counter-productive. At least venting helps a bit.
>
> This bug has gone through 3 (!) releases and is still present.
>
> This is not a bug hitting a minimal number of machines either, it is
> widespread.
>
> This is not a bug that shows its ugly face in a very restricted
> situation, it is systematic for people hit by it.
>
> This is not a bug touching a less-than-important functionality, we are
> talking about shutdown!
>
> Nevertheless, it is marked as "Medium".
>
> Nevertheless it is marked as "fix released", and still it is there.
>
> There is little feedback from developers, only a lot of "me too".
>
> Now that 7.04 is released, we are in for another 6 months cycle of hope
> that it will eventually get fixed in 7.10...
>
> So, in the spirit of being positive and constructive, what can we do,
> us, the non-coders, do that can help the developers fix this thing, and
> get it included in a kernel update?
>
> Nico
>
>

Philipi (philipix) wrote :

Hi people,

I have googled for this problem and I found that it isn't at all a
fault of the Ubuntu team, but rather a industry lack of respect to the
ACPI specification. The hardware manufacturers should follow this
standard closely, but they don't. It's a shame, and because of this
we're having all this trouble. The main problem is that they use many
differents non-standard DSDT tables, and the Linux distros in general
only follow the ACPI standard DSDT table. You can try a workaround on
this by finding your motherboard DSDT table and inserting it in your
distro configuration. I'd recommend these sites:

http://www.whoopy.it/linux/ACPI_problem_linux_resolved.html
http://acpi.sourceforge.net/
http://acpi.sourceforge.net/dsdt/index.php
http://www.guiadohardware.net/artigos/341/ (in portuguese)
http://acpi.sourceforge.net/wiki/index.php/SuseHowToLoadCustomDsdtTable

Hope you all have some patience to try this. I'll try later cause I'm
upgrading to Feisty now.

Regards,

Philipi Pinto

WillyWongi (pongi) wrote :

I can confirm this bug does not afflict ubuntu only, but it's confirmed for
the linux-kernel (the main one!) too. I've read somewhere that's an awful
problem to debug, since at the time the system freezes there's no place to
store a log, since it's the last action before shutdown: all mounts are
unmounted, all memory is freed and so on. I remember I read about someone
who had recompiled something (cant remember if it was the kernel or only the
halt bin) to let some logs out of a serial attached, but since this seems to
affect mainly laptops, and especially new laptops, this is not a path to be
easily followed by the standard user who want to give a hand. I mean, this
is absolutely and definetly annoying, since I tried all the DSDT stuff that
pilipix suggested, but none worked.

And I read there are a lot of "me too", but there are also very few who
submits their hw e sw specs: this won't help in no way.

Pongi @ laptop CoreDuo, ICH7 (PackardBell V7908).

On 4/21/07, Philipi <email address hidden> wrote:
>
> Hi people,
>
> I have googled for this problem and I found that it isn't at all a
> fault of the Ubuntu team, but rather a industry lack of respect to the
> ACPI specification. The hardware manufacturers should follow this
> standard closely, but they don't. It's a shame, and because of this
> we're having all this trouble. The main problem is that they use many
> differents non-standard DSDT tables, and the Linux distros in general
> only follow the ACPI standard DSDT table. You can try a workaround on
> this by finding your motherboard DSDT table and inserting it in your
> distro configuration. I'd recommend these sites:
>
> http://www.whoopy.it/linux/ACPI_problem_linux_resolved.html
> http://acpi.sourceforge.net/
> http://acpi.sourceforge.net/dsdt/index.php
> http://www.guiadohardware.net/artigos/341/ (in portuguese)
> http://acpi.sourceforge.net/wiki/index.php/SuseHowToLoadCustomDsdtTable
>
> Hope you all have some patience to try this. I'll try later cause I'm
> upgrading to Feisty now.
>
> Regards,
>
> Philipi Pinto
>
> --
> Power down after shutdown does not work...
> https://bugs.launchpad.net/bugs/43961
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--

.png

Santiago Lopez (santiajo) wrote :

Suspend: Laptop suspends but never resume. I have to power down manually.
Restart: Laptop reboot.
Shutdown: Laptop show the message "Will now halt" and never power down.
Hibernate: Laptop hibernate, show the message "Will halt now" and never power down.

Kubuntu 7.04
Kernel 2.6.20-15-generic #2 SMP
Laptop CoreDuo
Attached lspci logs

Alec Wright (alecjw) wrote :

In feisty, it's now fixed for me.

cchan (dono17) wrote :

Hello all.
I used to use Xubuntu Edgy a while ago on an old HP desktop I had -- aside from an issue with the Hibernate function, Suspend, Restart and Shutdown worked seamlessly.

Then I installed Kubuntu Edgy on my primary computer (Acer Aspire E360, AMD64 Athlon X2) roughly a month ago and experienced similar problems as described here. Restart and Shutdown would occasionally direct me to a frozen black screen, and Suspend, while it did work, would make the system unstable upon wake up. [Hibernate I never tested]

Now that I've upgraded to Feisty, the Suspend issue seems resolved, but the problem with Shutdown and Restart continues to persist. I tried the suggestion of adding "apm power_off=1" to /etc/modules, but the only thing that did was make the "Will now Halt" message visible.

This at least describes my own take on the problem, but I agree with Philipi and WillyWongi that the problem is a bit more far-ranging than it seems, and likely the reason why the problem has not been universally fixed after 3 releases. Understandably, it is an annoying issue, and one that detracts from the polish of the distros; but as long as it is being gradually fixed for more and more users, a little more patience is called for. The issue can be fixed, since I can confirm for a fact that Knoppix performs those tasks flawlessly.

In the meantime, in order to Restart and Shutdown my machine without incident, I do the following:

- I either go into the Terminal and use the 'sudo shutdown -h now' (or 'sudo shutdown -r now' for restart)

- Or I Log Out, and use Restart/Shutdown from the Kubuntu login screen (for some odd reason, these always work).

dmitriyr333 (dmitriyr333) wrote :

Shutdown problem persists. Attached are four files: dmesg.log lshal.log lspci-vv.log lspci-vvn.log

- Dmitriy

sqba (esqban) wrote :

In 6.06.1 everything worked ok until I did an update to 6.10. That's when the problem described here started. And after a failed shutdown, it fails to boot the GDM, showing nothing but the black screen. Then I installed 7.04 and everything worked fine until, again, I did a system update!
The last message displayed after pressing the shutdown and before the power down message, is:
NetworkManager: <WARNING> nm_hal_deinit () libhal shutdown failed - Connection is closed
I have a ThinkPad T21 laptop.

dmitriyr333 (dmitriyr333) wrote :

I found a solution (works so far) to this problem on my PC.
Earlier, I installed a bunch of apps along with nvidia drivers using Automatix2. Thats when my reboot problems started occurring. By uninstalling nvidia through Automatix2, I have regained control of Kubuntu's shutdown/reboot effect. Everything is working now as expected.
- hopefully this helps.
- Dmitriy

cchan (dono17) wrote :

Hello Dmitriyr,
Just to confirm, are you using a 32-bit or 64-bit PC? There's one entry in Automatix listed as "nVidia Driver", but it only displays it as "64bit" (cause of course I'm on a 64-bit machine).

I actually didn't install it cause I use an ATI, but I should note that the system already comes preinstalled with some Nvidia drivers (nvidia-kernel-common and xserver-xorg-video-nv).

Merijn Schering (mschering) wrote :

I just found that if I choose Hybernate from the shutdown menu and then it does completely power off. Resuming failes but that's another bug.

Maybe this info helps someone

dmitriyr333 (dmitriyr333) wrote :

cchan ,
First of all, I have to warn you that I'm still a novice in Linux world.
I have 64-bit PC, but all my apps (including Kubuntu) are running 32-bits. After I clean-installed Kubuntu, first application that I installed was Automatix2 (32-bit). From there, I chose all the software, including NVIDIA drivers (I do have NVIDIA GTO 7900 card). Afterwards, my reboots did not work!
Only by uninstalling NVIDIA drivers from Automatix2, did my issued subsided.
p.s. I did notice that Kubuntu came preinstalled with NVIDIA drivers just now.
- Dmitriy

magicwind (bobbyzhu) wrote :

Hi all. I have the same problem on my 1 year-old BenQ S73G laptop.
I am using Ubuntu Feisty. My computer has a Core duo T2050 CPU with ATI x1600 graphics card, and I'm using ATI driver in the restricted area.
below is the summary of my situation:
*******************************
reboot: works well
halt: systems stops at Will Now Halt. My hard drive seems to have been properly stopped, but the power doesn't off, and CPU in infinite loop(cpu fan makes noisy sound)
suspend: screen blank, but power does not off, either. Can not resume.
hibernate: almost same with halt, but can resume.
*******************************
The odd thing is: sometimes hibernate DOES turn off the power(about 1 of 20 poweroffs). And I know this problem also affects Fedora Core 5 or 6.
I have tried kernel options: acpi=force, lapic,...., but of no help.
My logs of lspci, dmesg, lshal are attached.
Thnks in advance

uBo (ubo) wrote :

I have written this for Dapper and Edgy already, but the problem persists in Feisty too:

My case (Toshiba A105-S2716):

1. acpi=force does not do anything

2. When I first remove (rmmod) the module snd-hda-intel and then try to shutdown everything goes the way it should be.

Conclusion:
At least in my case, the culprit is the running * snd-hda-intel * module.

It could be worth looking into.

I wonder if my case is a kernel bug or a bug of this module. Perhaps a new bug report has to be created as they are not identical.

magicwind (bobbyzhu) wrote :

I have tried uBo's method to remove the module snd-hda-intel (sudo rmmod snd-hda-intel), but unfortunately it doesn't have any effect.
Anyway, how can I see more detailed logs besides the simply "System power off" words after the log daemon has shut down, I want to confirm whether it is a kernel bug or a bug related to my laptop's merchandiser.

Phonteus Nevolius (phontanka) wrote :

Just to add one more computer to the line, mine doesn't power off either. I got some advice from Kubuntu Forum members which didn't work. Anyway here they are:

- ading rmmod ndiswrapper to the top of /etc/init.d/halt
- activating TermianteServer=true in /etc/kde3/kdm/kdmrc
- adding acpi=force and apm=power-off to /boot/grub/menu.lst in the kernel lines

My computer's mainboard is Asus A7S333.

cchan (dono17) wrote :

Not sure I should throw this out there, but I'd like to confirm that the Restart/Shutdown issue doesn't seem to affect Xubuntu at all. I installed it over my previous Kubuntu installation after I figured I didn't need a 2nd KDE system on my machine (MEPIS). It's still the same AMD X2 64-bit machine, and even has chunks of KDE mixed in with the native xfce elements, yet restart/shutdown works like a dream.

Davor Cubranic (cubranic) wrote :

One happy-ending story: after upgrading from Ubuntu Dapper (see comment 131) to Kubuntu Feisty, shutdown works again! Out of the box too, I haven't touched anything after the install.

Morgan Collett (morgan) wrote :

Let me state my experience again which corresponds to the bug status in the different kernel versions for Dapper, Edgy and Feisty:

Dapper could not power off or reboot for me. (Sony Vaio VGN-S460)
Edgy could reboot but not power off for me.
Feisty can reboot and can power off - fixed for me.

Reading recent comments on this bug, it's not clear whether people are complaining about Feisty - which would be a legitimate cause for concern - or about Edgy (or Dapper) which are not fixed. (And unlikely to ever be fixed.)

So please say what release you are running...

Markus Kienast (elias1884) wrote :

For me, sometimes it works (several times in a row) and then it does not
work anymore. I did not figure out quite what exactly is different from
case to case.

This should just be mentioned to emphasise that yes, it could be some
software component used by KDE and/or Gnome but not by Xfce that makes
shutdown behave so badly.

Markus Kienast (elias1884) wrote :

Feisty and Edgy are concerned at my end.
Dapper used to work (not in the pre-releases though).
Edgy never powered down.
Feisty powers down frequently but not all the time (50:50).

cchan (dono17) wrote :

I did mention earlier that my Kubuntu release was Feisty and am certainly not going to downgrade to Xubuntu Edgy after getting attached to some of Feisty's best points.

However, now that you two mention it, a full history of all my *Buntu usage does present a very interesting pattern.

1st: Xubuntu Edgy on 32-bit machine [no restart/shutdown/suspend issues]
2nd: Kubuntu Edgy on 64-bit machine [freezing with restart/shutdown, system instability with suspend]
3rd: Kubuntu Feisty on same 64-bit machine [freezing with restart/shutdown, network disconnects after suspend]
4th: Xubuntu Feisty on same 64-bit machine [no restart/shutdown/suspend issues]

I suppose I could try installing 32-bit Kubuntu on my 32-bit machine to see if this is truly a KDE issue, but the hard drive on that machine is too small and is already used up by PCLinuxOS. Furthermore, I haven't experienced any restart/shutdown issues using the Kubuntu LiveCD (or for that matter, just the plain log-in screen).

Phonteus Nevolius (phontanka) wrote :

To refer back to Morgan's post, I use Kubuntu Feisty and it doesn't power
down but it restarts without a problem. It was the same with Dapper and
Edgy, the only difference with these two was that there was a short click at
the end. As far as I remember Breezy powered down and restarted normally.

Hi,

on two older machines (pre-2000 motherboards) reboot is possible, but poweroff is NOT.

On is running XUBUNTU 6.10 Edgy Eft, which brings XUBUNTU back into play.

The other one was running XUBUNTU 6.10 Edgy Eft, and is now running a fresh install of XUBUNTU 7.04 Feisty Fawn.

So for me this issue is still annoying, and I would like to see it solved. BTW, Live-CDs and Win98 on those machines dont seem to have any problems shutting down the machines.

cement_head (andorjkiss) wrote :

In my case it is the POWERDOWN after the shutdown during the HIBERNATE cycle. The culprit is the nVIDIA 9631-1.0 driver. The nv drivers works with no problems. SUSPEND (to RAM) works in both drivers.

Q: Is there a way to unload the nvidia driver during the hibernation cycle and then reload it with the GUI intact?

Q2: Can I attach any log files to help track this thing down?

I'm using:

Feisty Fawn, Dell Inspiron 8100 laptop, nVIDIA GeForceGo2 16 MB card using the "restricted" 9631-1.0 drivers.

- cement_head

cement_head (andorjkiss) wrote :

forgot the kernel

Kernel Version: 2.6.20-15-generic

- cement_head

magicwind (bobbyzhu) wrote :

I have found a solution which works(at least yesterday and today) on my laptop.
My laptop is BenQ S73 with intel centrino duo T2050 and ATIx1600. I installed Ubuntu Feisty.
I found that before shutdown, remove the pcmcia module as follows:

#sudo rmmod pcmcia

Then the computer COULD turn off the power.
I don't know the exact reason, and I have called the manufacturer. They said that my has PCI express slot INSTEAD OF pcmcia slot.
So, for some not-so-old computers, maybe it is worth having a try.

Markus Kienast (elias1884) wrote :

Still does not work for me reliably! There are periodes where it is powering off every second time or so but now with 2.6.20-16 it does never power off again. My hardware specs are mentioned above.

By the way, I think there should be a standardized way to upload your hardware specs. They should be uploaded to your profile not the bug so they can be accessed from any bug reported.

And consequently bug-fixers should have a way to query hardware specs for which work and which don't.

Gabi (g-peled) wrote :

Hi All

I suffer from that bug a long time ,recently I tested Fedora 7 live cd
(Gnome 2.18) and was curious if that bug is also there , I was surprised
to find out that it shuts off

my system ,The question is what are the differences , and can we
understand how

to cure this bug ,

Gabi

elias wrote:

> Still does not work for me reliably! There are periodes where it is
> powering off every second time or so but now with 2.6.20-16 it does
> never power off again. My hardware specs are mentioned above.
>
> By the way, I think there should be a standardized way to upload your
> hardware specs. They should be uploaded to your profile not the bug so
> they can be accessed from any bug reported.
>
> And consequently bug-fixers should have a way to query hardware specs
> for which work and which don't.
>
>

Markus Kienast (elias1884) wrote :

If I am not mistaken even Feisty Desktop Install LiveCD shuts down correctly!

Markus Kienast (elias1884) wrote :

Sorry, I was mistaken. Just tested the Ubuntu Live CD and it does not
power down.

Markus Kienast (elias1884) wrote :

Does not work with Feisty Live CD, sorry. Just tested it.

And this is still not fixed Alec! It does not work for me, does it?

magicwind (bobbyzhu) wrote :

Sorry, guys. I was too glad that day.
Later when I tried "#sudo rmmod pcmcia", sometimes the laptop could turn off the power, but sometimes it could not.
Anyway, it gives me an option which could increase the "possibility" of shutting down properly.
However, I'm still wondering why shutting down links with "probability". Why sometimes it worked, sometimes it didn't. Weird!

Alec Wright (alecjw) wrote :

elias, I said its fixed _for me_, not everyone.

Oh and it works fine for me in gutsy too.

Markus Kienast (elias1884) wrote :

Sorry I think I was confused by the interface. It looked like you were the one that set the bug status to "Fix provided". But I guess you are just the one who filed the bug for the 2.6.20 version of the kernel, right.

Nevermind.

Anyhow, whoever set this bug to "Fix provided" should reset the status to open, since it is not fixed for everybody.

Download full text (4.7 KiB)

So I was trying Alec's solution, but I think I may have uncovered something bigger...

kenan@Kenan:~$ sudo rmmod pcmcia
Password:
ERROR: Module pcmcia does not exist in /proc/modules
kenan@Kenan:-$ gedit /proc/modules
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card 'rev20'
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_card_driver returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_concat returned error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_refer returned error: No such device
ALSA lib conf.c:3968:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card 'rev20'
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_card_driver returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_concat returned error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_refer returned error: No such device
ALSA lib conf.c:3968:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card 'rev20'
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_card_driver returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_concat returned error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_refer returned error: No such device
ALSA lib conf.c:3968:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card 'rev20'
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_card_driver returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_concat returned error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_refer returned error: No such device
ALSA lib conf.c:3968:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card 'rev20'
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_card_driver returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3500:(_snd_config_evaluate) function snd_func_concat returned error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
AL...

Read more...

Markus Kienast (elias1884) wrote :

Great, fabulous, unbelievable, as of linux-image-2.6.20-16.29 my Vaio VGN-S560P is able to shutdown itself. This at the same time make hibernation work more smoothly, since before I had a hard time figuring out, when hibernation was finished and therefore when I could hit the power button.

There is still a little problem with suspend though, but I will file this at some other point: bug #64817

Whoever fixed this, you are my personal hero!!! Everybody else who filed their machine showing the same symptoms might want to try this latest kernel update and confirm whether or not their problem is fixed as well!

In my laptop, shuting down still not working with 2.6.20-16

I removed all sound card related modules to check if it has something to do with it, but It seems thats not the problem.

Carles Oriol (carlesoriol) wrote :

The same problem persist on a Vaio VGN-S3XP on kernel 2.6.20-16.29

But ONLY with the computer connected to the ac adapter. Working with the batery shtusdown well.

I have exactly the same problem on my computer (desktop) with Intel Celeron Processor and "Faisty Fawn" installed. It is strange, because when I used "Hoary Hedghog" I didn't experience such a problem.

plee (plee82) wrote :

Me, I have the exact problem on my machine too. I have Feisty Fawn installed as well.

System: PackardBell V7908, Centrino Duo, Feisty Fawn;
symptom: never powered off.

Some time ago I went through a buggy installation of FUSE, that messed
up with my sudoers file, preventing many modules to load at startup:
Alsa Audio (hda-intel), Intel Wifi (ipw3945) and so. I noticed that my
laptop actually shut down properly more often (2 out of 3). When I
fixed my files, everything went back to the way it always been: never
powered off.

png

ps.: "never" means Drake, Eft and Fawn.

On 6/25/07, plee <email address hidden> wrote:
> Me, I have the exact problem on my machine too. I have Feisty Fawn
> installed as well.
>
> --
> Power down after shutdown does not work...
> https://bugs.launchpad.net/bugs/43961
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--

.png

plee (plee82) wrote :

The funny thing is Suspend does power off everything except the Ram? and my led?.. I Noticed that shtufdown turns off only my keyboard, mouse... but the hard disk is still spinnning, fans still blowing, etc. I am using a Gatway 832GM btw with 2.6.20 kernel.

WillyWongi (pongi) wrote :

Uooo! This is odd!
Yesterday, despite all the problems with shutdown I wanted to give the
hibernate function a try. After saving all the stuff to the hd,
showing some warnings from the USB I waited the hdd led to stop
blinking and I powered off the laptop with the poweroff button (as I
always did). Resuming from hibernate worked great, after a while I was
presented with the password prompt, with no problems.

Inspired from some penguing god, I tried the brightness keys (fn+f6 /
f7) that, I must stress this, NEVER WORKED, neither from the keys, the
applet or the command line... surprise! I can set the brightness of my
LCD! (but the gnome-applet doesn't work yet...)

After some investigations I found that this achievement could be
because acpi doesn't load a driver for the LCD, infact I've no
/proc/acpi/video folder.

This led me to the next step: the shutdown.. and it worked.

--

.png

JL Granger (cptloulou) wrote :

Hi,
I had this problem on a desktop with "Asus P5B-E Plus" motherboard and E6600 Intel processor. It seems to be cured when I "enabled" in the lastest bios (v.05xx) the ACPI 2.0 option. The screen flashs at the point where it stopped before but the UBUNTU logo is redisplayed again and it ends correctly. May be it could help.

Changed in linux:
status: In Progress → Invalid
beatnik (alkatzer) wrote :

I have this problem too. Quanta HW-1 motherboard, Intel 915 gm chipset.

BlackSir (blacksir) wrote :

Power still doesn't turn off after shutdown on Feisty (and Edgy).
Linux 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux
Motherboard: ASUS P5GD1

Mike Grunde (m-grunde) wrote :

I had this same problem with Edgy and Feisty. Ever since upgrading to Gutsy, I have had no problems at all, except for Bug #129581, but that has nothing to do with power down. Gutsy solved my power down problem!

viking777 (viking-f2s) wrote :

I run gutsy on an Evesham Voyager laptop and it still doesn't power off. I've also tried every boot cheat code you have ever heard of plus a few you haven't, I still have to hold down the power button every time. That is the 2.6.22-9 kernel and still no joy.

Sitsofe Wheeler (sitsofe) wrote :

viking777:
It's a long shot but is there a BIOS update for your laptop?

Jim Sapp (jimslinux) wrote :

Note; using, Mepis 6.5 with KDE
I have this problem with my thinkpad, and was able to solve by going into KDE Control panel, login manager, then shutdown tab. then change /sbin/halt to /sbin/poweroff. I am not familiar in where to change this in the gnome environment.
I am a lite Linux user and if some one can elaborate as in how I can edit this script on the command line, in case I come across this again. I sure would appreciate it.
Thanks
Jim

cement_head (andorjkiss) wrote :

Any idea what/where the analogous "shutdown tab" is in gnome?

- CH

Markus Kienast (elias1884) wrote :

Since again, I had to attach the same lspci file to several bugs, I want to make all devs and bug fixers aware of this bug https://bugs.launchpad.net/malone/+bug/3382

I find it is absolutely necessary to be able to attach hardware profiles to launchpad user accounts. I would then simply say, this happens on Feisty on my machine XY and you guys could immediately access the right record in the HW DB. Now you have to over and over again request us to send lspci outputs, lshw outputs, ....

Isn't it the purpose of programming to relieve us from things that we have to do over and over again in exactly the same way? Isn't that what computers are for, to do exactly these stupid always the same operations?

Please use your voice as bug fixers, as the people most annoyed by this, to get canonical to implement such a feature in launchpad!

Sitsofe Wheeler (sitsofe) wrote :

(viking777 was not subscribed to this bug. If you post a comment and might want to see replies please consider subscribing the bug to provide a follow up route to others)

viking777:
It's a long shot but is there a BIOS update for your laptop?

Same problem here with my laptop:
Intel Core2 T5600
Mainboard MTC
ATI Mobility Radeon X1600
Ubuntu 7.04
The only way to turn off the power is to press and hold the power button.
(Same problem with Ubunutu and Kubuntu live CD's)

Just noticed, same model as viking777's: Evesham Voyager.

urho (vonturha) wrote :

i also have a problem with shutdown, it starts just fine but after a while screen becomes full of garbage & shutdown sequence stops. I have to press power button for 5 seconds to get my laptop to shut down. Machine is Toshiba satellite A200-S17

urho (vonturha) wrote :
urho (vonturha) wrote :
urho (vonturha) wrote :
urho (vonturha) wrote :
Daniel Beyer (daniel.beyer) wrote :

When i switch off my computer manually after hanging on power down i can see a text message for a very short part of a second. It seems to be an error message from kernel about disconnecting usb devices but i cannot tell u details because the time before power down is too short.

The bug still exists in latest kernel on feisty on my Laptop and on ma desktop computer.

Markus Kienast (elias1884) wrote :

I believe some bugs and probably this one as well fall under the
category "embarrassing". There are a certain number of bugs in Ubuntu,
which fall under that category and make the OS look "unpolished".

I believe we need to add a feature to the bug tracking system to
identify these bugs, so people who want to make Ubuntu look more
professional can more easily track down, what they need to lay their
hands on.

I therefore proposed a feature to allow the community to either add tags
to bug reports or vote on the "embarrassment" factor: bug #149775.

If any of you believe this would be a healthy feature for Ubuntu, please
add your comment to bug #149775.

Sitsofe Wheeler (sitsofe) wrote :

elias:
Please stop posting discussions in bug reports and instead use the mailing lists. This is NOT the place for such discussions and I fear if I do not say something now this behaviour will continue...

this bug evolved for my laptop in a sort of consequential hardware
bug: the power down button is quite broken. Who'll be the survivor? My
laptop's shutdown button or the powerdown kernel (?) bug?

Ad maiora.

pukyxd (pukyxd) wrote :

I reproduce it in Kubuntu Gutsy RC1.

My laptop is an Upi laptop with 1GB Ram, Intel core duo 1.66Ghz, an intel graphic card, an intel wireless card...

I tried with acpi=force but it doesn't poweroff.

garvied (garvied) wrote :

The same in Ubuntu Gusty
My laptop is Upi ( Intel core duo 1.66, Intel 945GM grafic card, RTL-8139/8139C/8139C+ network card)

Markus Kienast (elias1884) wrote :

This bug would also benefit from resolving bug #3382.

Maybe this help:

** Without the battery plugged my laptop shut down OK. **

With a battery plugged, my laptop remains with the 'power down' message, and never shut down.

pukyxd (pukyxd) wrote :

In Ubuntu Gutsy Final and in Hardy updated I has the same problem.

My laptop is Upi ( Intel core duo 2.00, Intel 945GM grafic card, RTL-8139/8139C/8139C+ network card)

James Mooney (james-mooney) wrote :
Download full text (3.8 KiB)

My Ubuntu server won't power off after shutdown. I have not managed to resolve the problem, but thought I'd share my notes. My system is a P4 2.0GHz, 256MB RAMBUS RAM.

Description of the problem as follows. I try to shut down, and I get all the normal kernel messages. The system eventually halts, and the hard drives spin down, but the motherboard does not power off. If I try to force ACPI the kernel reports "ACPI: Unable to enable ACPI" at start-up.

Here are some of the things I've tried, unfortuately without success:

I've tried shutting down under Ubuntu Server 6.06.2, 7.04 and 7.10; all exhibit the same problem.

I've waited about 5-10 minutes after the "Will now halt" message appears, but the motherboard and fans are still powered up (although the HDDs have switched off). The last kernel message (under 7.10) is "halt: Unable to iterate IDE devices: No such file or directory"

I have tried shutdown -h now, shutdown -P now, poweroff, halt.

I have modified the kernel command line in /boot/grub/menu.lst. I've tried adding the following combinations:

 acpi=off noapic
 noacpi acpi=off apm=on noapic apm=power_off
 acpi=force lapic
 noapic reboot=b

I've also tried adding acpi=force: I got an error - ACPI: Unable to start ACPI. The following lines copied from /var/log/dmesg may contain clues...?

 [ 16.118153] ACPI: Core revision 20070126
 [ 16.118223] ACPI: Looking for DSDT in initramfs... error, file /DSDT.aml not found.
 [ 16.119618] ACPI: setting ELCR to 0200 (from 0e28)
 [ 16.605267] ACPI Error (hwacpi-0142): Hardware did not change modes [20070126]
 [ 16.605275] ACPI Error (evxfevnt-0086): Could not transition to ACPI mode [20070126]
 [ 16.605281] ACPI Warning (utxface-0139): AcpiEnable failed [20070126]
 [ 16.605286] ACPI: Unable to enable ACPI

I have tried removing my network card (it's the only PCI card I'm using).

I've tried removing my graphics card, booting the machine headless.

I've tried booting Ubuntu in recovery mode (under 7.10) and shutdown doesn't work in there either.

I've checked and there doesn't seem to be anything abnormal about /etc/rc0.d/S90halt.

I tried to modprobe apm and it caused the system to hang. The last message output from the kernel is "Bad EIP value."

I tried manually stopping samba before trying to shutdown. I also tried unmounting samba shared drives prior to shutdown.

I installed the acpi package and ran it. This confirmed that the kernel had not been started with ACPI support. Installing and running acpid confirmed this as it couldn't find the acpi path (acpid: can't open /proc/acpi/event: No such file or directory).

I tried to modprobe apm and it caused the system to hang. The kernel generated quite a lot of output but I was unable to log this. The last message output from the kernel is "Bad EIP value."

I tried installing apmd: this crashed the system in the same way as starting the apm module...

Now here's the interesting thing: With the exact same system I've booted from an Ubuntu Live CD (7.10), and powering off from the desktop works! As does shutting down from the Terminal. Also, I've just installed Debian 4.0r2 server on exactly the same system, and running shutdown -h h...

Read more...

The Hardy Heron Alpha series was recently released which contains an updated version of the kernel. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ .

Also please note that this report will remain open against the actively developed kernel but against 2.6.17, and 2.6.15 this will be closed. Thanks.

Changed in linux:
status: New → Incomplete
Changed in linux-source-2.6.17:
status: Confirmed → Won't Fix
Changed in linux-source-2.6.15:
status: Confirmed → Won't Fix
pukyxd (pukyxd) wrote :

Here with a Hardy updated from Gutsy it doesn't work.

The Hardy Heron release stalls on my computer. However, the kernel will load- and won't shut down properly.

Since posting before, I have started using a router rather that a USB modem, with the result that the computer never shuts down itself, where before it would occasionally.

viking777 (viking-f2s) wrote :

Leann,

I have been testing Hardy since the first day it was released right up till the present. Sad to say it is no nearer to shutting down my laptop now than it ever has been.

What may be of interest to you though is that about a couple of months ago I started using another distribution and this is capable of shutting my laptop down. Admittedly it is not at all consistent, it is probably only successful about 15% of the time, but that is 15% more than any other distribution has ever achieved. The interesting thing from your point of view is that they are still using the 2.6.22 kernel.

Although I am not really qualified enough to make such a judgement, I would say that this means the issue is not kernel related at all. Equally I am not knowledgeable enough to tell you why their product succeeds (sometimes) whilst Ubuntu doesn't (at all), I wish I was then I might be able to make it shut down all the time!

As far as other distros go, I have been using OpenSuse from version 10.0 all
the way to 10.3 now with whatever kernel they've had and I never had a
shutdown problem with Opensuse, whereas Ubuntu and Kubuntu never shut down.
Unfortunately I haven't had a chance to test the 8.04 Alphas on my "problem
computer" yet.

Andrew Jorgensen (ajorg) wrote :

Ubuntu does not call the APM shutdown code after calling the ACPI shutdown code. This means that computers for which ACPI (or parts of ACPI) is not supported in the kernel will not shut down. The fix shouldn't be terribly hard.

cement_head (andorjkiss) wrote :

so how would one patch Ubuntu?

viking777 (viking-f2s) wrote :

phontanka:

I have also tried every version of Suse linux from 10.0 to 10.3 and I have had nothing but trouble with all of them. Graphics problems, sound problems, internet problems, mouse problems, keyboard problems, in fact too many problems to make it worth my while bothering with. I actually found a live cd of 10.3 just this week and tried that out - it wouldn't even run. I'm glad it works for you though.
I am using Mandriva 2008 at the moment and that at least shuts it down sometimes.

Andrew:

This is a modern laptop I have here, about 18 months old. It uses acpi not apm, so I don't think that is the answer.

Andrew Jorgensen (ajorg) wrote :

@viking777: In my case the kernel was disabling a particular part of ACPI because the bios was known to be buggy. This is more common in newer hardware than in older hardware. It's possible you have a different issue but it's also possible that you have a buggy bios like I do and the kernel knows it.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged
status: New → Invalid

Fixed for me in Kernel 2.26.13-generic at hardy heron.

pukyxd (pukyxd) wrote :

I've done a fresh install of Hardy RC and it doesn't work yet.

BlackSir (blacksir) wrote :

Power still doesn't turn off after shutdown on Hardy (upgraded from Gutsy, Feisty, Edgy).
Linux 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux
Motherboard: ASUS P5GD1

Gabi (g-peled) wrote :

BlackSir wrote:

> Power still doesn't turn off after shutdown on Hardy (upgraded from Gutsy, Feisty, Edgy).
> Linux 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux
> Motherboard: ASUS P5GD1
>
>
As it is a very frustrating bug which I have for years ,here is a way I
can demonstrate
how to overcome it :
1.Turn off the machine .
Turn on and on GRUB go to recovery mode and start Ubuntu,
The computer will run and end with xxxx-desktop #
Enter gdm and press enter
The Gnome desktop will come up but HAL will not .
Now try to turn off the machine ,To my experience it will shut down ,
So it seems that Hal is responsible for that bug ,I have tried but with
no success ,
May be it is a staring point to tell which process is responsible for
the bug
Gabi

BlackSir (blacksir) wrote :

2Gabi

I confirm this. After I've loaded in "recovery mode", choose "drop to root shell", started gdm, hit "log-out button" and choose "Shut down" my PC was able to turn power off as expected.

The shutdown/reboot was also hanging on my Acer Travelmate 290 laptop. I'm running Hardy Heron 8.04. After reading this thread, I tried a few things, and the grub menu setting that has had the most success is this:

acpi=force nolapic

I can now (knock on wood) shutdown and restart properly. Before, both processes would hang almost immediately--there was not even a splash screen, just black (no activity shown on the hard drive LED, but the fan and my USB external drive were both still running). I had to physically power down from there. But the grub setting above seems to have worked for both shutdown and restart.

However, the system still will not suspend or hibernate properly. It will not resume from suspend mode--forcing me to physically shut down with the power button (*shudder*).

BlackSir (blacksir) wrote :

I've just updated BIOS of my Asus P5GD1 from 1013 to 1014 and my PC was able to power off as expected. Damn it! It was the first thing I've thought a year ago, when I've discovered this bug. At the time I've seen BIOS update 1014 at support.asus.com that only "Support new CPUs". I've had (and now have) P4-630, that according to Asus was supported from 1007 BIOS revision. And Windows XP was able to power off my PC even with 1013 BIOS. I don't think my next motherboard will be Asus...

I've got this issue on Ubuntu Hardy with the 2.6.24-16-generic kernel. It also existed with the various Gutsy Kernel releases

Hardware is a Gigabyte 7vaxp motherboard with an Athlon XP 2800+ and 1Gb Ram.

I have also tried all of the various acpi boot commands, and tried a series of shutdown command whilst the box was in single user mode.

System always gets to
 * Will now Halt
[ 696.801880] Power down.

The disks have spun down put the power supply is still running.

Matthias (matthias-opennomad) wrote :

i had this problem as well on a Sony Vaio VGN-BX560B. This box has an intel hda sound card. I was able to get the laptop to turn off by forcing he removed of the sound module.

I did this by adding the line

  rmmod snd-hda-intel

to /etc/default/halt

Hope this helps someone.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

pukyxd (pukyxd) wrote :

I've just updated my intrepid to get kernel 2.6.27. I've tried it and power down doesn't work yet.

About the power saving issue: Could the microphone channel be automatically muted by the driver when not in use and the device is about to enter power saving mode? See
http://www.thinkwiki.org/wiki/How_to_enable_AC97_power_saving

BlackSir (blacksir) wrote :

2 Leann Ogasawara:
I've just tried to boot from Ibex Alpha5 LiveCD and power off doesn't work on it (2.6.27-2). Power off worked on my system with 2.6.24-16 (and latest Asus BIOS update), but now on 2.6.24-19 it doesn't work too.

Håkan Sjöö (hs-trollen) wrote :

On my LG TX there are similar symptoms. From the login screen, shutdown and hibernate works. From logged in to Gnome, nothing happens after the text "power off" appears, when attempting to hibernate. This has been like that since upgrading to 8.04, including since the latest kernel update.

After the latest updates, the screen powers off so I can not see any text (when hibernating process starts).
The power LED is however still on if I do hibernate from logged in. After power off and power on Ubuntu boots from the saved
image. (I noticed this today as I wanted to check the exact phrase that is/was displayed before the computer failed to
power off)

Håkan Sjöö (hs-trollen) wrote :

In Xubuntu hibernate works. (with the same present kernel)
The problem seems Gnome-related on my machine, and as noted above,
in Ubuntu hibernate works when not logged in, but not when logged in. I
have to make a correction too, shutdown at present always works.

Steven McCoy (fnjordy) wrote :

> Same poweroff problem on a Desktop Shuttle SB81P with latest BIOS, Dapper, 686 kernel and Dapper.

Hi Nico, after some research somebody on linuxquestions has found this problem is actually due to the Intel HDA sound driver. I've confirmed the workaround on two different Shuttle XPC models, SB81P and SB95P. Simply add "rmmod snd_hda_intel" to the end of /etc/default/halt.

Using 8.04.1 with linux-image-2.6.24-19-generic.

Gabi (g-peled) wrote :

StevenMcCoy wrote:
>> Same poweroff problem on a Desktop Shuttle SB81P with latest BIOS,
>>
> Dapper, 686 kernel and Dapper.
>
> Hi Nico, after some research somebody on linuxquestions has found this
> problem is actually due to the Intel HDA sound driver. I've confirmed
> the workaround on two different Shuttle XPC models, SB81P and SB95P.
> Simply add "rmmod snd_hda_intel" to the end of /etc/default/halt.
>
> Using 8.04.1 with linux-image-2.6.24-19-generic.
>
>
Hi All
I wish to confirm the above proposed solution
I have a pc with P5GD2-X Mother board ,and for years was not able to
shut off properly .
I now added "rmmmod snd_hda_intel" to the end of /etc/default/halt and
it works ,
Thank the community ,Gabi

Håkan Sjöö (hs-trollen) wrote :

For me, just adding "rmmmod snd_hda_intel" to the end of /etc/default/halt is not enough.
Maybe I need to stop things using the driver. Will invistigate; does anyone have a tip?
Where to put these commands?

(when logged in I can not just remove the driver, it is used, when not logged in i can
rmmmod snd_hda_intel.)

Håkan Sjöö (hs-trollen) wrote :

"when logged in I can not just remove the driver,"
... well logged in graphically in gnome that is...

sorry

BlackSir (blacksir) wrote :

I've added /sbin/rmmod snd_hda_intel to the end of /etc/default/halt, and after that shutdown on my ASUS P5GD1 with Ubuntu Hardy works like a charm again! Thanks a lot StevenMcCoy!

2Håkan Sjöö:
Maybe you should just use rmmod instead of rmmmod?

pukyxd (pukyxd) wrote :

For me adding rmmod snd_hda_intel to the end of /etc/default/halt doesn't work.

/sbin/rmmod snd_hda_intel added to the end of /etc/default/halt has also fixed the shutdown problem on my LG LW40 Express.

Håkan Sjöö (hs-trollen) wrote :

I had pulseaudio and mixer_applet2 running which prevented the snd_hda_intel to be unloaded.

Johan Holmquist (jhq) wrote :

Adding "rmmod snd_hda_intel" to the end of /etc/default/halt worked on my LG LW20 Express Laptop.

If you have the same kind of computer, just write this in a terminal window:

sudo gedit /etc/default/halt

enter your password (nothing will be shown, not even *, but it's still being written)

In the gedit window, add "rmmod snd_hda_intel" without the "" to the end of the last row.

Save.

'Shut down' and 'Hibernate' now works! Thanks StevenMcCoy for finding a solution and posting it here!

Thanks a lot for this fix.

I tried adding "acpi=force" in /boot/grub/menu.lst but this didn't help. I removed again the "acpi=foce" from the grub menu and added "/sbin/rmmod snd_hda_intel" in /etc/default/halt. Now shut down works !

I've an Asus P5AD2premium motherboard, Hardy 8.04 kernel 2.6.24-21.

I recently updated to Ubuntu 8.10 but still no shutdown.

Evesham laptop (Rebranded Mitac 8258D.)

The "/sbin/rmmod snd_hda_intel" fix does not work.

Same problem here on ubuntu 8.10 server (2.6.27-7-server, i686), AthlonXP, "nForce 2 ultra 400" chipset.
"shutdown now" command doesn't power off the server, I can even ping the machine after this command was issued (although services like ssh and smb are stopped immediately).
"shutdown -r now" works (the server reboots without problems).

Mantas Zimnickas (sirex) wrote :

If i'm not wrong, I have shutdown issue for about a year and more. I gues problem appeared after upgrade to Feisty.

About 1/3 of the time power down does work, 2/3 it doesn't.

I didn't tried "rmmod snd_hda_intel", becouse this module is not loaded at all.

Maybe there is a way to debug this annoying shut down problem?

Loki-59 (ludovic-pol) wrote :

Hi all,
I work on ubuntu 8.04 with a P5GDC-V motherboard.
In my case, adding "/sbin/rmmod snd_hda_intel" in /etc/default/halt without "" works.
Now, my computer shutdown correctly !
Thanks.

Toshiba Sattelite A105 S361

[...]
I did this by adding the line

  rmmod snd-hda-intel

to /etc/default/halt
[...]

Solved the problem.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Johann (johannvanz) wrote :

Hi everyone

I'm using Ubuntu 8.10 (Intrepid) and still have the exact same problem with my laptop not shutting down!

My laptop is a Packard Bell Easy Note R1926 with a Celeron processor, if that helps anyone. I tried the above solution by adding the "rmmod snd-hda-intel" to the given path without any success, and when i try the "rmmod snd_hda_intel" in the terminal it gives me an error saying the module doesnt exist. Can someone tell me maybe then where i would be able to find that model to load?

If there is anyone that have the patience to help me out with this it would be much appreciated.

Thanks in advance.

Yes, I'm still having same problem, and 'rmmod snd_hda_intel' doesn't work too.
So it seems, that there is some another problem here... :(

On 2008-12-26 17:34, Johann wrote:
> Hi everyone
> I'm using Ubuntu 8.10 (Intrepid) and still have the exact same problem
> with my laptop not shutting down!
> My laptop is a Packard Bell Easy Note R1926 with a Celeron processor, if
> that helps anyone. I tried the above solution by adding the "rmmod snd-
> hda-intel" to the given path without any success, and when i try the
> "rmmod snd_hda_intel" in the terminal it gives me an error saying the
> module doesnt exist. Can someone tell me maybe then where i would be
> able to find that model to load?
> If there is anyone that have the patience to help me out with this it
> would be much appreciated.
> Thanks in advance.
> --
> Power down after shutdown does not work...
> https://bugs.launchpad.net/bugs/43961
> You received this bug notification because you are a direct subscriber
> of the bug.

--
Mantas aka sirex
    OpenID: getopenid.com/sirex
    PGP Key: http://sirex.lt/pubkey.asc
    Blog: http://sirex.lt/
Ubuntu - Linux for human beings

"Iron rusts from disuse; water loses its purity from stagnation... even so does inaction sap the vigor of the mind." -- Leonardo da Vinci

Derek (dpiazza) wrote :

Here are the output of the following commands:

$ lspci -vv > lspci-vv.log
$ lspci -vvn > lspci-vvn.log
$ dmesg > dmesg.log
$ lshal > lshal.log

Derek (dpiazza) wrote :

lspci-vvn.log

Derek (dpiazza) wrote :

dmesg.log

Derek (dpiazza) wrote :

lshal.log

I have a x20 Thinkpad

Thank you

scerio (simao-rio) wrote :

Hi, my laptop is a LG LW40 Express and I have the same non shutdown/hibernate problem. The screen goes black and nothing more...
I am also some trouble with the power management, the fan control goes crazy and the PC is always "on fire" :S

output of the following commands:
$ lspci -vv > lspci-vv.log
$ lspci -vvn > lspci-vvn.log
$ dmesg > dmesg.log
$ lshal > lshal.log

Any idea?

Regards!

Aadil H (aadilh) wrote :

Try to reinstall initscripts from within package manager, it help my fail power off at deactivating swap...

Peter Whittaker (pwwnow) wrote :

There has been no activity on this bug report for over 60 days, and there was almost a full year between the last two comments. It's probably time to close it once and for all (status is Triaged for Linux (Ubuntu), but just in case....

If anyone is experiencing this exact problem with Karmic or Lucid, please run the following command:

    apport-collect -p linux 43961

in a terminal window.

If anyone is experiencing a similar problem - but not this exact problem - please attempt first to find a bug report that matches the problem you are experiencing; if you find such a report, please attempt to provide any information by the developers, including possibly running "apport-collect -p linux theBugNumber".

If you do not find such a report the behavior your are experiencing, please open a new report as described in https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies

Please do NOT attach new information to or otherwise update this report with workarounds or information related to other bugs.

I will mark this bug as invalid in two weeks if there are no relevant updates.

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC883 Analog [ALC883 Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: donald 1661 F.... pulseaudio
 /dev/snd/pcmC0D0p: donald 1661 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x6c300000 irq 23'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,10711635,00100002 HDA:14f12c06,14f10000,00100000'
   Controls : 32
   Simple ctrls : 19
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=b444f6e4-bb8e-4841-a2cd-b4662f93bfb8
MachineType: MTC MTC
Package: linux (not installed)
ProcCmdLine: root=UUID=50d30fca-86ee-417a-a8a0-5a2a1592c3ad ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
Regression: No
RelatedPackageVersions: linux-firmware 1.33
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: lucid needs-upstream-testing
TestedUpstream: No
Uname: Linux 2.6.32-17-generic i686
UserGroups: adm admin audio cdrom dialout dip floppy lpadmin netdev plugdev powerdev pulse pulse-access sambashare scanner video
WifiSyslog:
 Mar 25 08:20:25 evesham kernel: [ 2397.182568] udev: starting version 151
 Mar 25 08:20:29 evesham kernel: [ 2400.807675] type=1505 audit(1269498029.573:19): operation="profile_replace" pid=4863 name="/usr/lib/cups/backend/cups-pdf"
 Mar 25 08:20:29 evesham kernel: [ 2400.809373] type=1505 audit(1269498029.577:20): operation="profile_replace" pid=4863 name="/usr/sbin/cupsd"
 Mar 25 12:54:48 evesham kernel: [18860.196667] gnome-nettool[14132]: segfault at 38 ip b683c58e sp bfce95f0 error 4 in libmurrine.so[b682b000+26000]
WpaSupplicantLog:

dmi.bios.date: 07/20/2006
dmi.bios.vendor: INSYDE
dmi.bios.version: R1.02
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: MTC
dmi.board.vendor: MTC
dmi.board.version: Base Board Version
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: MTC
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnINSYDE:bvrR1.02:bd07/20/2006:svnMTC:pnMTC:pvr1:rvnMTC:rnMTC:rvrBaseBoardVersion:cvnMTC:ct1:cvrChassisVersion:
dmi.product.name: MTC
dmi.product.version: 1
dmi.sys.vendor: MTC

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I'm running Lucid beta.

I was pleasantly surprised to find Lucid closed down normally after two years of forced close-downs, although I did get a crash message about an "unkillable shutdown applet" (if I recall correctly).

However, after a few days of normal shutdowns, I received some new updates and after that the computer stalls again at the exit screen.

Hope the above information helps.

Nicolas (nicolas-pecqueux) wrote :

Hello,

I am running kernel 2.6.32-21-generic and I still have the issue. My laptop close down but the screen with progressing bar remains.
Happening on my old old old laptop acer aspire 1680 since I updated to Ubuntu Jaunty.

Brad Figg (brad-figg) wrote :

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in supported series, please file a new bug.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.